<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alle User-relevanten Variablen werden in einer Klasse verwaltet! 
 */


class ctlVar {

    /*
     * VARIABLEN, WELCHE UNTER UMSTNDEN VON EINER SEITE
     * ZUR ANDEREN VERMITTELT WERDEN MUSS
     */
    var $MenuID;        // aktuelle MenuID
    var $oldMenuID;     // wenn Film anzeigen, wissen woher man kommt
    var $FilmID;        // das wohl Wichtigste: die FilmID
    var $GenreID;       // nach welchem Genre wird sortiert
    var $FormatID;      // nach welchem Format wird sortiert
    var $CollectID;     // nach welchem Format wird sortiert
    var $ActorID;
    var $RegisseurID;
    var $Style;         // welches Style wird ausgewhlt
    var $orderBy;       // sortieren nach Titel, Jahr, FSK oder FilmID
    var $ASC;           // aufsteigend oder absteigend sortieren
    var $page;          // wie vielte Seite anschauen?
    var $maxShow;       // wieviele Filme auf einmal anzeigen
    var $showGenreAuswahl;  // das Menu Genre auswhlen kann eingeklappt werden
    var $showFormatAuswahl; // das Menu Format auswhlen kann eingeklappt werden
    var $showCollectAuswahl;// das Menu Kollektion auswhlen kann eingeklappt werden
    var $searchFor;     // Suchwort
    var $searchIn;      // Actors, Regisseure, Film oder FilmID
    var $Letter;        // ausgewhlter Anfangsbuchstabe
    
    
    // Variablen, welche zur Verarbeitung benutzt werden
    
    var $std;           // zu allen obigen Variablen, Standard speichern
    var $req;           // alle zu bergebenen Variablen temporr speichern
    var $tmp1;          // temporre Variable fr einige Operationen
    var $tmp2;          // temporre Variable fr einige Operationen
    var $COOCKIES_ACTIVE;
    
    var $myFilmID;      // falls myFilmID bergeben wird
    var $myFilmIDstring;// myFilmID als String
    var $searchVar;
    
    var $sqlLetter;     // addQuery fr Anfangsbuchstabe
    var $sqlLetterName; // addQuery fr Anfangsbuchstabe von Actor/Regisseur
    var $LetterArray;   // alle vorkommenden Anfangsbuchstaben werden gespeichert
    var $anzPages;      // wie viele Seite insgesamt?
    var $anzThisPage;   // Wieviele Individuen werden auf der aktuellen Seite angezeigt
    var $anzIndividuen; // Anzahl aller Filme oder Benutzer
    
        
    var $erfolg;        // Meldungen an User
    var $hinweis;
    var $warnung;

    var $printChange;   // beim Einfgen von neuen Filmen: einfgen oder ndern?
    
    
    // Konstruktor
    function ctlVar( &$settings, &$myDB, $COOCKIES_ACTIVE = FALSE, $isloginseite = FALSE ) {
        
        $this->COOCKIES_ACTIVE = $COOCKIES_ACTIVE;
        $this->fillstd( $settings, $isloginseite );
        $this->chkReqVar();
        $this->erfolg  = array();
        $this->hinweis = array();
        $this->warnung = array();
        
        
        // wenn keine Rechte fr MenuID, dann alle Filme anzeigen
        if ( !$isloginseite &&
             !( $this->MenuID <= $_SESSION['UserRechte'] || 
                ( $this->MenuID == 897 && $settings->AdminCanDistribute && $_SESSION['UserRechte'] == 600 )

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
                || ( $this->MenuID == 893 && $settings->AdminCanDistribute && $_SESSION['UserRechte'] == 600 )
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

              ) 
           )
            $this->MenuID = $this->std['MenuID'];
        
        
        // alte MenuID nur speichern, wenn man von einer Liste kommt, 893 wg. Reservierung eingefgt
        if ( $this->MenuID < 300 && $this->MenuID > 295 || $this->MenuID == 290 || $this->MenuID == 281 ||
             $this->MenuID == 287 || $this->MenuID == 292 || $this->MenuID == 897 || $this->MenuID == 893
           )
            $this->oldMenuID = $this->MenuID;
        
        
        if ( $this->MenuID == 598 )
        {
            if ( $this->FilmID > 0 )
                $this->printChange = TRUE;
            else
                $this->printChange = FALSE;
        }
        
        // wenn MenuID "Benutzer einfgen" und UserID gesetzt, dann "Benutzer ndern" 
        if ( $this->MenuID == 899 )
        {
            if ( isset( $_REQUEST['UserID'] ) )
                $this->printChange = TRUE;
            else
                $this->printChange = FALSE;
        }
        
        
        // wenn FilmID gesetzt, dann prfen, ob sie existiert
        if ( $this->FilmID )
        {
            $sql = "SELECT myFilmID, COLLECT_CollectID FROM $myDB->FILME fi WHERE FilmID=$this->FilmID AND ".$myDB->sqlForPriv;
            $rs = $myDB->go($sql);
            //$row = $myDB->getRow($rs);
            
            if ( $row = $myDB->getRow($rs) )
            {
                $this->myFilmID[0] = $row['COLLECT_CollectID'];
                $this->myFilmID[1] = $row['myFilmID'];
            }
            else
            {
                // wenn kein Treffer, dann alle Filme anzeigen
                $this->MenuID = $this->std['MenuID'];
                $this->hinweis[] = "Leider kann kein Film angezeigt werden.";
            }
                
        }
        
        
        if ( isset($_REQUEST['myFilmID']) )
        {
            $this->myFilmID = explode( "-", $_REQUEST['myFilmID'] );
            if ( count( $this->myFilmID ) != 2 )
                $this->warnung[] = "Fehler in der FilmID!";
            else
            {
                $this->myFilmID[0] = (int)$this->myFilmID[0];
                $this->myFilmID[1] = (int)$this->myFilmID[1];
                
                $sql = "SELECT FilmID FROM $myDB->FILME WHERE COLLECT_CollectID={$this->myFilmID[0]} AND myFilmID={$this->myFilmID[1]} GROUP BY FilmID";
                $rs = $myDB->go($sql);
                
                if( $row = $myDB->getRow($rs) )
                    $this->FilmID = $row['FilmID'];
                else
                {
                    $this->warnung[] = "Fehler in der FilmID!";
                    unset($this->myFilmID);
                    $this->myFilmID = "";
                }
            }
        }
        
        
        if ( count($this->myFilmID) == 2 )
            $this->myFilmIDstring = $this->myFilmID[0]."-".getAnzStellenID( $this->myFilmID[1], $settings );
        else
            $this->myFilmIDstring = "";// wenn MenuID "Film einfgen" und FilmID gesetzt, dann "Film ndern" 
        
        
        // Suchkontrolle
        if ( isset($_REQUEST['searchFor']) )
            $this->ctlSearch( $settings, $myDB );
        else
            $this->searchVar = " 1=1 ";
        
        
        // Anfangsbuchstaben aller Filme
        if ( isset($_GET['Letter']) )
        {      
            if($settings->activateSortierTitel)
              $titel = 'Sortiertitel';
            else
              $titel = 'Titel';
              
            if ( preg_match( "/[a-zA-Z]/", substr( $_GET['Letter'], 0, 1 ) ) )
            {
                $this->Letter = substr( $_GET['Letter'], 0, 1 );
                $this->sqlLetter = " AND LEFT($titel, 1) REGEXP '$this->Letter'";
                $this->sqlLetterName = " AND LEFT(Name, 1) REGEXP '$this->Letter'";
            }
            elseif ( !strlen( $_GET['Letter'] ) )
            {
                $this->Letter = "";
                $this->sqlLetter = "";
            }
            else
            {
                $this->Letter = "@";
                $this->sqlLetter = " AND LEFT($titel, 1) NOT REGEXP '[a-zA-Z]'";
                $this->sqlLetterName = " AND LEFT(Name, 1) NOT REGEXP '[a-zA-Z]'";
            }
        }
    }
    
    
    /*
     * welche MenuID wird im Menu selektiert
     */
    function selectMenuID() {
        
        // wenn Film anzeigen, dann Men markieren, woher
        if ( $this->MenuID == 280 || $this->MenuID == 291 )
            return $this->oldMenuID;
        else
            return $this->MenuID;
    }
    
    
    /*
     * Variable $this->std mit Standardwerten fllen
     */
    function fillstd( &$settings, $isloginseite ) {
        
        $this->std = array();
        if($settings->activateSortierTitel)
          $titel = 'Sortiertitel';
        else
          $titel = 'Titel';
    
        if ( $isloginseite == TRUE ) {
            $this->std['MenuID'] = 1;
            $this->std['Style'] = $settings->standardStyle;
        }
        else
        {
            if ( $settings->anzTopFilme == 0  && 
                 $settings->anzNeueFilme == 0 && 
                 $settings->anzBestFilme == 0
               )
                $this->std['MenuID'] = 299;
            else
                $this->std['MenuID'] = 287;
            
            $this->std['oldMenuID'] = $this->std['MenuID'];
            $this->std['FilmID'] = 0;
            $this->std['GenreID'] = 0;
            $this->std['FormatID'] = 0;
            $this->std['CollectID'] = 0;
            $this->std['ActorID'] = 0;
            $this->std['RegisseurID'] = 0;
            $this->std['orderBy'] = $titel;
            $this->std['ASC'] = "ASC";
            $this->std['searchFor'] = "";
            $this->std['searchIn'] = "";
            $this->std['Letter'] = "";
            $this->std['maxShow'] = 40;
            $this->std['page'] = 1;
            $this->std['showGenreAuswahl'] = 0;
            $this->std['showFormatAuswahl'] = 0;
            $this->std['showCollectAuswahl'] = 0;
            $this->std['Style'] = $settings->standardStyle;
        }
    }
    
    
    /*
     * Variablen von $_REQUEST berprfen
     * und notfalls mit Standard berschreiben
     */
    function chkReqVar( ) {
        
        reset( $this->std );
        for ( $i = 0; $i < count($this->std); ++$i )
        {
            // tmp1 enthlt den Schlssel
            $this->tmp1 = key($this->std);
            
            if ( array_key_exists( $this->tmp1 , $_REQUEST ) )
                $this->{$this->tmp1} = $_REQUEST[$this->tmp1];
            else
                $this->{$this->tmp1} = current($this->std);
            
            next($this->std);
        }
        
        $this->searchFor = stripslashes($this->searchFor);
    }
    
    
    /*
     * Gebe alle Variablen zurck, welche kein Standard sind
     */
    function getRequest( $array = "", $formular = FALSE, $separator = "&amp;" ) {
        
        if ( !is_array($array) )
            $array = array();
        
        // kopiere aktuelle Variablen in neues Array
        $this->req = array();
        reset( $this->std );
        for ( $i = 0; $i < count($this->std); ++$i )
        {
            $this->tmp1 = key($this->std);
            $this->req[$this->tmp1] = $this->{$this->tmp1};
            next($this->std);
        }
        
        // berschreibe bergebenen Variablen in $req, wenn kein Standard
        reset($array);
        for ( $i=0; $i<count($array); ++$i )
        {
            // tmp1 enthlt den Schlssel des Arrays
            $this->req[key($array)] = current($array);
            next($array);
        }
        
        
        $this->tmp2 = "";
        reset( $this->req );
        for ( $i = 0; $i < count($this->req); ++$i )
        {
            // tmp1 enthlt den Schlssel des Arrays
            $this->tmp1 = key($this->req);
            
            // wenn Standard, dann keine Variable anhngen
            if ( $this->std[$this->tmp1] == current($this->req) )
                ;
            elseif ( $formular == TRUE ) {
                $this->tmp2 .= "<input type=\"hidden\" name=\"$this->tmp1\" value=\"".$this->req[$this->tmp1]."\" />";
            }
            else {
                $this->tmp2 .= $this->tmp1."=".$this->req[$this->tmp1].$separator;
            }
            
            next($this->req);
        }
        
        // wenn Cookies deaktiv, SessionID anhngen
        if ( $this->COOCKIES_ACTIVE == FALSE )
        {
            if ( $formular == TRUE )
                $this->tmp2 .= "<input type=\"hidden\" name=\"PHPSESSID\" value=\"".session_id()."\" />";
            else
                $this->tmp2 .= "PHPSESSID=".session_id().$separator;
        }
        return $this->tmp2;
    }
    
    
    function ctlSearch( &$settings, &$myDB ) {
        
        if ( strlen($_REQUEST['searchFor']) < 2 && $_REQUEST['searchIn'] != 'FilmID' )
        {
            if ( isset($_REQUEST['searchFirst']) )
                $this->hinweis[] = "Das Suchwort muss mindestens zwei Zeichen lang sein!";
            $this->searchVar = " 1=1 ";
        }
        else
        {
            switch ( $this->searchIn )
            {
                case 'Titel':
                {
                    $this->searchVar = "(".$this->convertWildcard($myDB,'Titel')." OR ";
                    $this->searchVar .= $this->convertWildcard($myDB,'Originaltitel').")";
                    if ( isset($_REQUEST['searchFirst']) )
                        $this->MenuID = $this->oldMenuID = 299;
                    break;
                }
                case 'Actors':
                {
                    $this->searchVar = $this->convertWildcard($myDB,'Name');
                    // Schauspieler knnen nicht im Filmemenu gesucht werden.
                    if ( $this->MenuID < 300 && $this->MenuID > 296 )
                    {
                        $this->searchVar = " 1=1 ";
                    }
                    break;
                }
                case 'Regisseure':
                {
                    $this->searchVar = $this->convertWildcard($myDB,'Name');
                    if ( $this->MenuID < 300 && $this->MenuID > 296 )
                    {
                        $this->searchVar = " 1=1 ";
                    }
                    break;
                }
                default :
                {
                    $this->searchVar = $this->convertWildcard($myDB,"CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, 3, '0' ) )");
                    if ( isset($_REQUEST['searchFirst']) )
                        $this->MenuID = $this->oldMenuID = 299;
                    break;

                }
            }
        }
    }
    
    function convertWildcard( &$myDB, $column ) {
        
        $this->tmp3 = " ".$column." LIKE ";
        
        if ( strstr( $this->searchFor, '*' ) )
        {
            // tmp1 enhlt den Suchstring
            $this->tmp1 = $this->searchFor;
            
            // falls Wildcard am Anfang
            if ( strpos( $this->searchFor, '*' ) == 0 )
                $this->tmp1 = "%". substr( $this->tmp1, 1 );
            
            // falls Wildcard am Ende
            if ( strpos( $this->searchFor, '*', strlen($this->tmp1)-1 ) == strlen($this->tmp1)-1 )
                $this->tmp1 = substr( $this->tmp1, 0, strlen($this->tmp1)-1 ) ."%";
            
            // falls kein Wildcards in der Mitte
            $this->tmp2 = explode( '*', $this->tmp1 );
            if ( count($this->tmp2) == 1 )
            {
                return $this->tmp3 .= $myDB->escape_string( htmlentities( $this->tmp1 ) );
            }
            
            // ansonsten
            for ( $i=0; $i<count($this->tmp2); $i++ )
            {
                if ( $i != 0 )
                {
                    $this->tmp3 = $this->tmp3 ." AND $column LIKE ";
                    $this->tmp2[$i] = "%".$this->tmp2[$i];
                }
                if ( $i != count($this->tmp2)-1 )
                    $this->tmp2[$i] = $this->tmp2[$i]."%";
            
                $this->tmp3 .= $myDB->escape_string( htmlentities( $this->tmp2[$i] ) );
            }
        }
        else
            $this->tmp3 .= $myDB->escape_string( "%". htmlentities( $this->searchFor ) ."%" );
        
        return $this->tmp3;
    }
}


?>
