<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Klasse fr den Datenbankhandler
 */


class db {
    
    var $db_conn;       // die DaBa-Verbindung
    var $sql;           // das momentane Statement
    var $rs;            // ResultSet
    var $MySQL_Ver;     // Merken, ob MySQL_Ver == 4.1
    var $sqlForPriv;    // Query-addOn fr Privilegien
    
    // alle Tabellennamen, um mit Prefix zu verbinden
    var $ACTORS;
    var $COLLECT;
    var $COVERS;
    var $DISCS;
    var $FILME;
    var $FILME_ACTORS;
    var $FILME_GENRES;
    var $FILME_REGISSEURE;
    var $FILME_USERS;
    var $FORMATE;
    var $GENRES;
    var $REGISSEURE;
    var $SETTINGS;
    var $USERS;
    
    
    // Konstruktor
    function db( $server, $username, $pass, $dbase, $prefix, $MySQL_Ver ) {
        
        // Tabellen mit Prefix verknpfen 
        $this->ACTORS = $prefix."ACTORS";
        $this->COLLECT = $prefix."COLLECT";
        $this->COVERS = $prefix."COVERS";
        $this->DISCS = $prefix."DISCS";
        $this->FILME = $prefix."FILME";
        $this->FILME_ACTORS = $prefix."FILME_ACTORS";
        $this->FILME_GENRES = $prefix."FILME_GENRES";
        $this->FILME_REGISSEURE = $prefix."FILME_REGISSEURE";
        $this->FILME_TON_SPRACHE = $prefix."FILME_TON_SPRACHE";
        $this->FILME_TRAILER_TYP = $prefix."FILME_TRAILER_TYP";
	$this->FILME_UNTERTITEL = $prefix."FILME_UNTERTITEL";
        $this->TRAILER_TYP = $prefix."TRAILER_TYP";
        $this->FILME_USERS = $prefix."FILME_USERS";
        $this->FORMATE = $prefix."FORMATE";
        $this->GENRES = $prefix."GENRES";
        $this->HISTORY = $prefix."HISTORY";
	$this->IMPORT_TYP = $prefix."IMPORT_TYP";
	$this->IMPORT_UEBERSETZUNG = $prefix."IMPORT_UEBERSETZUNG";
	$this->IMPORT_QUELLE = $prefix."IMPORT_QUELLE";
        $this->REGISSEURE = $prefix."REGISSEURE";
        $this->RESERVIERUNG = $prefix."RESERVIERUNG";
        $this->SETTINGS = $prefix."SETTINGS";
        $this->SPRACHE = $prefix."SPRACHE";
        $this->TON = $prefix."TON";
        $this->USERS = $prefix."USERS";
        
        $this->MySQL_Ver = $MySQL_Ver;
        
        // Privilegien festlegen
        if ( $this->MySQL_Ver && isset($_SESSION) && array_key_exists('UserID',$_SESSION) && $_SESSION['UserRechte'] <= 600 )
            $this->sqlForPriv = " fi.FilmID IN ( SELECT fi2.FilmID FROM $this->FILME fi2 INNER JOIN $this->FORMATE fo2 ON fi2.FORMATE_FormatID = fo2.FormatID INNER JOIN $this->COLLECT co2 ON fi2.COLLECT_CollectID = co2.CollectID WHERE fo2.brauchtPrivileg <= {$_SESSION['FormatPrivileg']} AND co2.brauchtPrivileg <= {$_SESSION['CollectPrivileg']} AND fi2.brauchtPrivileg <= {$_SESSION['FilmPrivileg']} AND ( SELECT COUNT(*) FROM $this->FILME fi3 INNER JOIN $this->FILME_GENRES fg3 ON fg3.FILME_FilmID = fi3.FilmID INNER JOIN $this->GENRES ge3 ON ge3.GenreID = fg3.GENRES_GenreID WHERE ge3.brauchtPrivileg > {$_SESSION['GenrePrivileg']} AND fi3.FilmID = fi.FilmID) = 0) AND fi.FSK <= ".$_SESSION['maxFSK'];
        else
            $this->sqlForPriv = " 1=1";
        
        // mit Datenbank verbinden
        $this->db_conn = mysql_connect($server, $username, $pass)
            or die( mysql_error() );
        // Datenbank auswhlen
        mysql_select_db($dbase, $this->db_conn)
            or die( mysql_error() );
        
        $this->go( "SET @@session.sql_mode='STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION';", TRUE );
        //$this->go( "SET @@session.sql_mode='';" );
    }
    
    function __destruct() {
        
        mysql_close( $this->db_conn );
    }
    
    function go( $sql, $no_error = FALSE ) {
        
        // Query speichern, falls fr die error-Funktion
        $this->sql = $sql;
        
        // ausfhren
        if ( $no_error )
            $this->rs = @mysql_query( $this->sql, $this->db_conn );
        else
            $this->rs = mysql_query( $this->sql, $this->db_conn );
        
        // falls fehler, dann meldung ausgeben
        if ( mysql_errno() && !$no_error )
            $this->error();
            
        // kleinen counter zur information erhhen
        //if ( array_key_exists('db_counter',$_SESSION) )
        if ( isset($_SESSION['db_counter']) )
            ++$_SESSION['db_counter'];
        else
            $_SESSION['db_counter'] = 1;
        
        return $this->rs;
    }
    
    function getRow( $rs, $no_error = FALSE ) {
        
        if ( $no_error )
            return @mysql_fetch_array( $rs, MYSQL_ASSOC );
        else
            return mysql_fetch_array( $rs, MYSQL_ASSOC );
    }
    
    function error() {
        echo "\n\n<p>\n".$this->sql."\n</p>\n";
        echo "\n<p>\n".mysql_error()."\n</p>\n";
    }
    
    // bevor Stringoperationen auf Datenbank wird der String behandelt 
    function escape_string( $value )
    {
        // Stripslashes if we need to
        if (get_magic_quotes_gpc()) {
            $value = stripslashes($value);
        }
        
        // Quote it if it's not an integer
        if (!is_int($value)) {
            //$value = "'" . mysql_real_escape_string(trim($value)) . "'";
            $value = "\"" . mysql_real_escape_string(trim($value)) . "\"";
        }
    
        return $value;
    }
}



?>
