<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alle Einstellungen werden aus der Datenbank in einer Klasse gespeichert
 */


class settings {
    
    var $tempArray;     // wird zum Erstellen der Variablen bentigt
    var $tempVal;       // wird beim Erkennen von Datentypen bentigt
    
    /*
     * Alle gespeicherten Variablen
     */
    
    // Alle Variablen fr Mails
    var $mailSend;      // sollen Emails versendet werden
    var $mailFrom;
    var $mailFromName;
    var $mailReplyTo;
    var $mailReplyToName;
    var $mailHTML;      // sollen Emails als HTML versendet werden
    var $mailWordWrap;  // falls kein HTML, wird eine Zeile umgebrochen
    var $mailSMTP;      // sollen Emails per SMTP versendet werden
    var $smtpHost;
    var $smtpPort;
    var $smtpAuthentication;
    var $smtpUsername;
    var $smtpPasswort;
    
    var $browserTitel;
    var $skriptAdresse; // Adresse, unter der das Skript erreichbar ist
    var $logoutAdresse;
    var $MenuLinkAdresse;
    var $MenuLinkName;
    var $standardStyle;
    var $skriptFolgen;  // falls Benutzer angemeldet ist, wird er beim ffnen von index.php auf index2.php geleitet
    var $autoLogin;
    var $skriptInFrame; // das Skript wird bei checkchangePWD im Frame gestartet
    var $exportName;
    var $footlineAddOn;
    var $Favicon;
    
    var $firstFitID;
    var $anzStellenID;
    var $trennzeichen;
    
    var $anzTopFilme;
    var $anzNeueFilme;
    var $anzBestFilme;
    var $erinnereTage;
    var $Bewertungsratio;
    var $randomSort;

    var $ModTonText;
    var $ModFSK;
    var $activateSortierTitel;
    var $activateReservierung;
    var $activateTonDetails;
    var $activateTrailer;
    var $TrailerAutoStart;
    var $standardTrailerBreite;
    var $stnadardTrailerHoehe;
    
    var $showLoginStatus;
    var $showInfo;
    var $showBesitzer;
    var $showDiscID;
    var $showFormat;
    var $showCollect;
    var $adminSeeAll;
    var $AdminCanDistribute;
    var $showRating;
    var $showHistory;
    var $showArtikelFirst;
    var $showFormatLogo;
    var $overrideFormatByImport;
    
    var $dabaVersion;
    var $dabaPerformance;
    
    
    /*
     * Im Konstruktor werden alle Variablen aus der Datenbank
     * in die Variablen dieser Klasse geschrieben
     */
    function settings( &$myDB, $isInstall = FALSE ) {
        
        if ( !$isInstall )
        {
            // temporres Array erzeugen
            $this->tempArray = array();
            
            $sql = "SELECT * FROM $myDB->SETTINGS";
            $rs = $myDB->go($sql);
            
            // alle Setting-Variablen der DaBa werden in ein temporres, assoziatives Array geschrieben
            while ( $row = $myDB->getRow($rs) )
                $this->tempArray[$row['Variable']] = $row['Wert'];
            
            // aus dem temporren werden die Variablen in die Variablen der Klasse geschrieben
            foreach ( $this->tempArray as $var => $val )
            {
                // die Variable muss den richtigen Datentyp erhalten
                switch ( $val )
                {
                    // Boolean werden erkannt
                    case 'TRUE': (bool) $this->{$var} = TRUE; break;
                    case 'FALSE': (bool) $this->{$var} = FALSE; break;
                    
                    default: {
                        $this->tempVal = (int) $val;
                        $this->tempVal = (string) $this->tempVal;
                        
                        // Integer
                        if ( $val == $this->tempVal )
                            $this->{$var} = (int) $val;
                        else // oder String
                            $this->{$var} = $val;
                    }
                }
            }
            
            $this->standardStyle = "./styles/".$this->standardStyle;
            
            if ( $this->dabaPerformance )
                $myDB->sqlForPriv = " 1=1";
        }
        else // loginseite
        {
            $this->standardStyle = "./styles/$this->standardStyle";
        }
    }
    
    
    /*
     * Settings werden zurckgesetzt
     */
    function reset_settings( &$myDB ) {
        
        $sql = "DELETE FROM $myDB->SETTINGS";
        $rs = $myDB->go($sql);
        
        $sql = "INSERT INTO $myDB->SETTINGS ( Variable, Wert ) VALUES " .
                "( \"mailSend\", \"TRUE\" ), ( \"mailFrom\", \"mail@mail.de\" ), ( \"mailFromName\", \"Support der Filmverwaltung\" ), " .
                "( \"mailReplyTo\", \"\" ), ( \"mailReplyToName\", \"\" ), " .
                "( \"mailHTML\", \"FALSE\" ), ( \"mailWordWrap\", \"0\" ), ( \"mailSMTP\", \"TRUE\" ), ( \"smtpHost\", \"smtp.***.de\" ), " .
                "( \"smtpPort\", \"25\" ), ( \"smtpAuthentication\", \"TRUE\" ), ( \"smtpUsername\", \"mail\" ), ( \"smtpPasswort\", \"aT4bdL8z\" ), " .
                "( \"skriptAdresse\", \"\" ), ( \"logoutAdresse\", \"\" ), ( \"MenuLinkAdresse\", \"\" ), ( \"MenuLinkName\", \"\" ), ( \"standardStyle\", \"style01.css\" ), ( \"skriptFolgen\", \"FALSE\" ), ( \"skriptInFrame\", \"FALSE\" ), ( \"browserTitel\", \"Filmverwaltung mit PHP &amp; MySQL\" ), " .
                "( \"firstFitID\", \"TRUE\" ), ( \"anzStellenID\", \"3\" ), ( \"showInfo\", \"FALSE\" ), ( \"showBesitzer\", \"FALSE\" ), " .
                "( \"showFormat\", \"TRUE\" ), ( \"showCollect\", \"TRUE\" ), ( \"showDiscID\", \"FALSE\" ), " .
                "( \"adminSeeAll\", \"FALSE\" ), ( \"trennzeichen\", \",\" ), ( \"anzTopFilme\", \"21\" ), " .
                "( \"anzNeueFilme\", \"21\" ), ( \"anzBestFilme\", \"21\" ), ( \"erinnereTage\", \"21\" ), " .
                "( \"ModTonText\", \"\" ), " .
                "( \"ModFSK\", \"\" ), " .
                "( \"activateReservierung\", \"FALSE\" ), " .
                "( \"activateTonDetails\", \"FALSE\" ), " .
                "( \"activateSortierTitel\", \"FALSE\" ), " .
                "( \"activateTrailer\", \"FALSE\" ), " .
                "( \"showArtikelFirst\", \"FALSE\" ), " .
                "( \"showHistory\", \"TRUE\" ), " .
                "( \"showFormatLogo\", \"TRUE\" ), " .
                "( \"overrideFormatByImport\", \"FALSE\" ), " .
                "( \"Favicon\", \"favicon.ico\" ), " .
                "( \"standardTrailerHoehe\", \"280\" ), " .
                "( \"standardTrailerBreite\", \"450\" ), " .
                "( \"TrailerAutoStart\", \"TRUE\" ), " .
	              "( \"Bewertungsratio\", \"65\" ), " .
	              "( \"randomSort\", \"0\" ), " .
                "( \"exportName\", \"Filme_DATUM\" ), ( \"footlineAddOn\", \"\" ), " .
                "( \"autoLogin\", \"0\" )";
        
        $rs = $myDB->go($sql);
    }
}


?>
