<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */


/*
 * Cronjobs
 */

// Falls cronjob.php in ein anderes Verzeichnis verschoben wird, 
// muss der Pfad zum Verzeichnis der Filmverwaltung angegeben werden.
$path = "./";

require($path."includes/functions.php");
require($path."classes/class.db.php");
require($path."classes/class.settings.php");
require($path."classes/class.phpmailer.php");
require($path."settings/admin.php");


$myDB = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$settings = new settings( $myDB );

$debug = FALSE;


// speichere AdminName fr weitere Mails
$AdminName = $settings->mailFromName;
$AdminMail = $settings->mailFrom;


// Mails an User schicken, wenn diese Filme ausgeliehen haben
if ( $settings->erinnereTage > 0 ) 
{
    $sql = "SELECT DISTINCT USERS_UserID, UserName, Email FROM $myDB->DISCS INNER JOIN $myDB->USERS ON USERS_UserID=UserID WHERE hasAccess";
    $rs = $myDB->go($sql);
    while ( $row = $myDB->getRow($rs) )
    {
        $message = "";
        $sendMail = FALSE;
        $name = $row['UserName'];
        
    	$sql2 = "SELECT Titel, myFilmID, COLLECT_CollectID, " .
                "(TO_DAYS(CURDATE()) - TO_DAYS( DATE_ADD(ausgeliehenAm, INTERVAL(YEAR(CURDATE())-YEAR(ausgeliehenAm)) YEAR) )) AS Tage " .
                "FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE di.USERS_UserID={$row['USERS_UserID']} HAVING Tage%$settings->erinnereTage=0 AND Tage!=0 ORDER BY Tage DESC, Titel"; 
    	$rs2 = $myDB->go($sql2);
        while ( $row2 = $myDB->getRow($rs2) )
        {
            $message .= $row2['Titel']." (".$row2['COLLECT_CollectID']."-".getAnzStellenID( $row2['myFilmID'], $settings ).") (seit ".getDaysInWeeks($row2['Tage']).")\n";
            $sendMail = TRUE;
        }
        
        if ( $sendMail )
        {
            $message = "Hallo $name,\n\nals kleine Erinnerung deiner ausgeliehenen Filme, erhltst du eine Email:\n\n".$message;
            $messageAdd = "";
            
            $sql2 = "SELECT Titel, myFilmID, COLLECT_CollectID, ( TO_DAYS( DATE_ADD(ausgeliehenAm, INTERVAL(YEAR(CURDATE())-YEAR(ausgeliehenAm)) YEAR) ) - TO_DAYS(CURDATE()) ) AS Tage FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE di.USERS_UserID={$row['USERS_UserID']} HAVING Tage%$settings->erinnereTage!=0 OR Tage=0 ORDER BY Tage DESC, Titel"; 
            $rs2 = $myDB->go($sql2);
            while ( $row2 = $myDB->getRow($rs2) )
                $messageAdd .= $row2['Titel']." (".$row2['COLLECT_CollectID']."-".getAnzStellenID( $row2['myFilmID'], $settings ).") (seit ".getDaysInWeeks($row2['Tage']).")\n";
            
            if ( strlen($messageAdd) )
                $message .= "\nDesweiteren hast du noch folgende Filme ausgeliehen:\n\n".$messageAdd."\n";
            
            $message .= "\nViele Gr&uuml;e,\n{$AdminName}";
            $message .= "\n\n-- \nBei dieser Email handelt es sich um eine vom System automatisch generierte Nachricht!";
            
            if ( !$debug )
                echo myMail( $row['Email'], ret_entities($name), "Deine ausgeliehenen Filme", ret_entities($message), $settings, TRUE );
            else
                echo nl2br($message."\n\n");
        }
    }
}


// Mails an User schicken, wenn sie Infos ber neue Filme erhalten mchten
if ( TRUE )
{
    $sql = "SELECT UserID, UserName, Email, FormatPrivileg, FilmPrivileg, GenrePrivileg, CollectPrivileg, UserRechte FROM $myDB->USERS WHERE getEmail = 1 AND hasAccess";
    $rs = $myDB->go($sql);
    while ( $row = $myDB->getRow($rs) )
    {
        $message = "";
        
        // Privilegien festlegen
        if ( $myDB->MySQL_Ver && $row['UserRechte'] <= 600 )
            $sqlForPriv = " fi.FilmID IN ( SELECT fi2.FilmID FROM $myDB->FILME fi2 INNER JOIN $myDB->FORMATE fo2 ON fi2.FORMATE_FormatID = fo2.FormatID INNER JOIN $myDB->COLLECT co2 ON fi2.COLLECT_CollectID = co2.CollectID WHERE fo2.brauchtPrivileg <= {$row['FormatPrivileg']} AND co2.brauchtPrivileg <= {$row['CollectPrivileg']} AND fi2.brauchtPrivileg <= {$row['FilmPrivileg']} AND ( SELECT COUNT(*) FROM $myDB->FILME fi3 INNER JOIN $myDB->FILME_GENRES fg3 ON fg3.FILME_FilmID = fi3.FilmID INNER JOIN $myDB->GENRES ge3 ON ge3.GenreID = fg3.GENRES_GenreID WHERE ge3.brauchtPrivileg > {$row['GenrePrivileg']} AND fi3.FilmID = fi.FilmID) = 0) AND fi.FSK <= ".getMaxFSK( $row['UserID'], $myDB );
        else
            $sqlForPriv = " 1=1";
        
        $sql2 = "SELECT FilmID, Titel, Land, Jahr FROM $myDB->FILME fi " .
                "WHERE ( TO_DAYS(CURDATE()) - TO_DAYS(inserted) ) = 1 " .
                "AND $sqlForPriv";
        $rs2 = $myDB->go($sql2);
        for ( $i=0; $row2 = $myDB->getRow($rs2); $i++ )
        {
            $message .= "\n".$row2['Titel'];
            if ( strlen($row2['Land']) || (int)$row2['Jahr'] )
            {
                $message .= " (";
                if ( strlen($row2['Land']) )
                    $message .= $row2['Land'];
                if ( strlen($row2['Land']) && (int)$row2['Jahr'] )
                    $message .= " / ";
                if ( (int)$row2['Jahr'] )
                    $message .= $row2['Jahr'];
                $message .= ")";
            }
        }
        
        $name = $row['UserName'];
        $mailMessage = "Hallo $name,\n\nneu in der Sammlung";
        
        if ( $i == 1 )
            $mailMessage .= " ist folgender Film:";
        else
            $mailMessage .= " sind folgende Filme:";
        
        $mailMessage .="\n".$message;
        $mailMessage .= "\n\nViele Gr&uuml;e,\n{$AdminName}";
        $mailMessage .= "\n\n-- \nBei dieser Email handelt es sich um eine vom System automatisch generierte Nachricht!";
            
        if ( !$debug && $i )
            echo myMail( $row['Email'], $name, "neue Filme", ret_entities($mailMessage), $settings );
        elseif( $i )
            echo nl2br($mailMessage."\n\n");
    }
}

// Mail an SuperAdmin schicken, wenn Reservieurngen gettigt worden sind
// Tagesbersicht: Reservierungen
{
    $message = "";

        // Selektion der betroffenen Filminhaber inklusive E-Mail
        $sql = "SELECT fi.USERS_UserID, us.Email, us.UserName 
                FROM $myDB->RESERVIERUNG re 
                INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                INNER JOIN $myDB->USERS us ON fi.USERS_UserID = us.UserID
                WHERE UserRechte = 900 AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1
                GROUP BY fi.USERS_UserID";
        $rs = $myDB->go($sql);
        
        for( $i = 0; $i < $row = $myDB->getRow($rs); ++$i )
        {
            $message = "";     
       
            // Selektion der betreffende User inklusive Name
            $sql2 = "SELECT UserName, re.USERS_UserID 
                    FROM $myDB->FILME fi 
                    INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID
                    INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID 
                    WHERE fi.USERS_UserID ={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1
                    GROUP BY Username";
            $rs2 = $myDB->go($sql2);   

            for( $i = 0; $row2 = $myDB->getRow($rs2); ++$i )
            {
                $message .="\n" . $row2['UserName'] . " hat ";
                // Anzahl der reservierten Filme pro User ausgeben
                $sql3 = "SELECT COUNT(*) As Anz FROM $myDB->RESERVIERUNG re 
                         INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID ={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1
                         GROUP BY re.FILME_FilmID";
                $rs3 = $myDB->go($sql3);
                $row3['Anz'] = mysql_num_rows($rs3);
                $Anz_Own = $Anz_Own + $row3['Anz'];
            
                if ( $row3['Anz'] == 1 )
                    $message .= "einen Film reserviert:\n";
                else
                    $message .= $row3['Anz']." Filme reserviert:\n";

                // Hinzufgen der reservierten Filme zur Mail
                $sql4 = "SELECT Titel, FilmID FROM $myDB->FILME fi 
                         INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID 
                         INNER JOIN $myDB->USERS us ON UserID = re.USERS_UserID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1";
                $rs4 = $myDB->go($sql4);
                for( $i = 0; $row4 = $myDB->getRow($rs4); ++$i )
                {
                    $message .= $row4['Titel']."\n";       
                }
            }

            // Selektion der betreffende User inklusive Name
            $sql5 = "SELECT UserName, re.USERS_UserID 
                FROM $myDB->FILME fi 
                INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID
                INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID 
                WHERE fi.USERS_UserID !={$row['USERS_UserID']} AND re.USERS_UserID !={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1
                GROUP BY Username";
            $rs5 = $myDB->go($sql5);   

            for( $ii = 0; $row5 = $myDB->getRow($rs5); ++$ii )
            {
                $message2 .="\n" . $row5['UserName'] . " hat ";
                // Anzahl der reservierten Filme pro User ausgeben
                $sql3 = "SELECT COUNT(*) As Anz FROM $myDB->RESERVIERUNG re 
                     INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                     WHERE re.USERS_UserID = {$row5['USERS_UserID']} AND fi.USERS_UserID !={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1
                     GROUP BY re.FILME_FilmID";
                $rs3 = $myDB->go($sql3);
                $row3['Anz'] = mysql_num_rows($rs3);
                $Anz_All = $Anz_All + $row3['Anz'];
         
                if ( $row3['Anz'] == 1 )
                    $message2 .= "einen Film reserviert:\n";
                else
                    $message2 .= $row3['Anz']." Filme reserviert:\n";

                // Hinzufgen der reservierten Filme zur Mail
                $sql4 = "SELECT Titel, FilmID, UserName FROM $myDB->FILME fi 
                     INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID 
                     INNER JOIN $myDB->USERS us ON UserID = fi.USERS_UserID 
                     WHERE re.USERS_UserID = {$row5['USERS_UserID']} AND fi.USERS_UserID !={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1";
                $rs4 = $myDB->go($sql4);
                for( $i = 0; $row4 = $myDB->getRow($rs4); ++$i )
                {
                    $message2 .= $row4['Titel']." bei ".$row4['UserName']. "\n";        
                }
            }

            if ( $i )
            {
                $name = ret_entities( $row['UserName'] );
                if($Anz_Own > 1) 
                    $Anz_Own = "\n bersicht der bei dir gettigten Reservierungen:\n";
                else 
                    $Anz_Own = "\n bersicht der bei dir gettigten Reservierung:\n"; 
                if ($ii) {
                    if($Anz_All > 1)
                        $Anz_All = "\n\nEs wurden ausserdem folgende Reservierungen bei anderen Filminhabern innerhalb der Datenbank gettigt:\n";
                    else
                        $Anz_All = "\n\nEs wurde ausserdem folgende Reservierung bei einem anderen Filminhaber innerhalb der Datenbank gettigt:\n";
                    $message = "Hallo " .$row['UserName'].",\n".$Anz_Own.$message.$Anz_All.$message2;    
                } else {      
                    $message = "Hallo " .$row['UserName'].",\n".$Anz_Own.$message;
                }            
                if ( !$debug && $i )
                    echo myMail( $row['Email'], $row['UserName'], "Tagesbersicht: Reservierungen", $message, $settings );
                else
                    echo nl2br($message."\n\n");
            }
        }
}

// Mail an Admin schicken, wenn Reservierungen gettigt worden sind
// Gilt nicht fr SuperAdmin !
// Tagesverarbeitung: Reservierungsbersicht
{
    $message = "";

        // Selektion der betroffenen Filminhaber inklusive E-Mail
        $sql = "SELECT fi.USERS_UserID, us.Email, us.UserName 
                FROM $myDB->RESERVIERUNG re 
                INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                INNER JOIN $myDB->USERS us ON fi.USERS_UserID = us.UserID
                WHERE getResEmails = 1 AND UserRechte != 900 AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1 
                GROUP BY fi.USERS_UserID";
        $rs = $myDB->go($sql);
        
        for( $i = 0; $i < $row = $myDB->getRow($rs); ++$i )
        {
            $message = "";
       
            // Selektion der betreffende User inklusive Name
            $sql2 = "SELECT UserName, re.USERS_UserID 
                    FROM $myDB->FILME fi 
                    INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID
                    INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID 
                    WHERE fi.USERS_UserID ={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1  
                    GROUP BY Username";
            $rs2 = $myDB->go($sql2);   

            for( $i = 0; $row2 = $myDB->getRow($rs2); ++$i )
            {                
                $message .="\n" . $row2['UserName'] . " hat ";
                // Anzahl der reservierten Filme pro User ausgeben
                $sql3 = "SELECT COUNT(*) As Anz FROM $myDB->RESERVIERUNG re 
                         INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID ={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1 
                         GROUP BY re.FILME_FilmID";
                $rs3 = $myDB->go($sql3);
                $row3['Anz'] = mysql_num_rows($rs3);
            
                if ( $row3['Anz'] == 1 )
                    $message .= "einen Film reserviert:\n";
                else
                    $message .= $row3['Anz']." Filme reserviert:\n";

                // Hinzufgen der reservierten Filme zur Mail
                $sql4 = "SELECT Titel FROM $myDB->FILME fi 
                         INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID 
                         INNER JOIN $myDB->USERS us ON UserID = re.USERS_UserID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID={$row['USERS_UserID']} AND( TO_DAYS(CURDATE()) - TO_DAYS(reserviertAm) ) = 1";
                $rs4 = $myDB->go($sql4);
                for( $i = 0; $row4 = $myDB->getRow($rs4); ++$i )
                {
                    $message .= $row4['Titel']."\n";          
                }
            }
            if ( $i )
                {
                $name = ret_entities( $row['UserName'] );
                $message = "Hallo " .$row['UserName'].",\n".$message;
            
                if ( !$debug && $i )
                    echo myMail( $row['Email'], $row['UserName'], "Tagesbersicht: Reservierungen", $message, $settings );
                else
                    echo nl2br($message."\n\n");
            }
        }
}
 
// Mail an Admin schicken, wenn Filme neu kommentiert sind
if ( TRUE )
{
    $message = "";
    
    $sql = "SELECT Titel, UserName FROM $myDB->FILME INNER JOIN $myDB->FILME_USERS fu ON FilmID=fu.FILME_FilmID INNER JOIN $myDB->USERS ON UserID=fu.USERS_UserID " .
            "WHERE ( TO_DAYS(CURDATE()) - TO_DAYS(Zeitpunkt) ) = 1 " .
            "AND LENGTH(Kommentar) AND istNeu";
    $rs = $myDB->go($sql);
    for ( $i=0; $row = $myDB->getRow($rs); $i++ )
        $message .= $row['Titel']." von ".$row['UserName']."\n";
    
    if ( $i )
    {
        $name = ret_entities( $row['UserName'] );
        $message = "Hallo $AdminName,\n\nes sind neu kommentierte Filme vorhanden.\n\n".$message;
            
        if ( !$debug && $i )
            echo myMail( $AdminMail, $AdminName, "neue Kommentare", $message, $settings );
        else
            echo nl2br($message."\n\n");
    }
}
?>
