<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Wenn einen Film anzeigen...
 */


if ( $_SESSION['UserRechte'] < 300 )
    exit();

if ( $myVar->MenuID == 280 && $_SESSION['UserRechte'] > 0 )
{
    $sql = "SELECT * 
              FROM $myDB->FILME AS fi LEFT OUTER 
              JOIN $myDB->FILME_TRAILER_TYP AS tr ON fi.FilmID = tr.FILME_FilmID 
              WHERE fi.FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    if($settings->showArtikelFirst) {
      $row['Titel'] = PrependStrippedArticle($row['Titel']);
      $row['Originaltitel'] = PrependStrippedArticle($row['Originaltitel']);
    }

    // setzen der StandardWerte wenn keine Trailerspezifischen Infos hinterlegt sind
    if ((int)$row['TrailerBreite'] <= 0 && (int)$row['TrailerHoehe'] <= 0) {
      $row['TrailerBreite'] = $settings->standardTrailerBreite;
      $row['TrailerHoehe'] = $settings->standardTrailerHoehe  + 20; 
    } else { 
      $row['TrailerHoehe'] = $row['TrailerHoehe'] + 20;
    }


    // Bilder anzeigen
    echo "<div class=\"cover\">";
    $sql2 = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID ORDER BY Rang ASC";
    $rs2 = $myDB->go($sql2);
    while ( $row2 = $myDB->getRow($rs2) )
    {
        echo "<div >";
        $bild = "$cover_dir/{$row2['FILME_FilmID']}_{$row2['Rang']}_{$row2['Appendix']}.{$row2['Extension']}";
        $bildInfo = @getimagesize($bild);
        $bildInfo[0] = $bildInfo[0] + 50;
        $bildInfo[1] = $bildInfo[1] + 70;
        
        $vars = array();
        $vars['MenuID'] = 289;
        $vars = $myVar->getRequest($vars);

        echo "<a href=\"{$_SERVER['PHP_SELF']}?{$vars}Rang={$row2['Rang']}\" target=\"cover\" onclick=\"window.open('', 'cover', 'Height={$bildInfo[1]},Width={$bildInfo[0]},screenX=550,screenY=100,location=no,menubar=no,status=no,toolbar=no,scrollbars=yes')\"><img style=\"border:none; width:155px; height:232px;\" src=\"$bild\" alt=\"cover\" /></a>";
        echo "</div>";
    }
    if ($settings->ModTonText == 0 && $settings->activateTonDetails) {
       $sql4 = "SELECT FilmID FROM $myDB->FILME_TON_SPRACHE ft WHERE ft.filmID = $myVar->FilmID";
       $rs4 = $myDB->go($sql4);
       if ($row4 = $myDB->getRow($rs4)) {
           $sql5 = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_TON_SPRACHE WHERE FilmID={$row['FilmID']}";
           $rs5 = $myDB->go($sql5);
           $row5 = $myDB->getRow($rs5);
           if ( $row5['Anz'] > 1 ) {
    	   	   echo "<br /><div class=\"tonformat\">Tonformate&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br /><br />";
    	   } else {
			echo "<br /><div class=\"tonformat\">Tonformat&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br /><br />";
	  	   }
       $sql3 = "SELECT DISTINCT ft.TonID, BildURL, Beschreibung FROM $myDB->TON tn INNER JOIN $myDB->FILME_TON_SPRACHE ft ON tn.tonID = ft.tonID WHERE ft.filmID = {$row['FilmID']}";
       $rs3 = $myDB->go($sql3);
       while ( $row3 = $myDB->getRow($rs3) )
       {
	   echo "<div class=\"ton\"><table align=\"center\"><tr><td>&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"{$row3['BildURL']}\" title=\"{$row3['Beschreibung']}\" /></td><td width=\"28px\">";	   
           $sql5 = "SELECT DISTINCT Bezeichnung FROM $myDB->FILME_TON_SPRACHE ft INNER JOIN $myDB->SPRACHE sp ON ft.SprachID = sp.SprachID WHERE ft.TonID = {$row3['TonID']} AND ft.filmID = {$row['FilmID']}";
           $rs5 = $myDB->go($sql5);
           while ( $row5 = $myDB->getRow($rs5) )
           {  
              echo "<img src=\"./img";
              echo "/Sprachen/" . rawurlencode(html_entity_decode($row5['Bezeichnung'])) . ".gif\" style=\"display:inline;padding:5px;border:0px;float:left;margin-right:0 !important;margin-right:-3px\" />";  
           }
           echo "</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr></table></div>"; 

       }
       echo "</div>"; }
    }
    echo "</div>";

    echo "<table class=\"showFilm\">";

        echo "<tr>";
        echo "<td colspan=\"3\">&nbsp;</td>";
        echo "</tr>";


        echo "<tr>";
        echo "<td style=\"color:#4498FF;\" class=\"description_Filmanzeigen\">Titel</td>";
        echo "<td style=\"font-weight:bold;\" class=\"description_Filmanzeigen_rechts\">{$row['Titel']}</td>";
	echo "<td style=\"font-weight:bold;\" class=\"description_Filmanzeigen\" rowspan=\"3\">";
	if (getFormatLogo( $myDB, $row['FORMATE_FormatID'] ) != "" && $settings->showFormatLogo) { 
	   echo "<img src=\"".getFormatLogo( $myDB, $row['FORMATE_FormatID'] )."\" />";
	}
 	echo "</td>";
        echo "</tr>";
    
    if ( strlen( $row['Originaltitel'] ) )
    {
        echo "<tr>";
        echo "<td style=\"color:#FF7954;\"  class=\"description_Filmanzeigen\">Originaltitel</td>";
        echo "<td style=\"font-weight:bold;\" class=\"description_Filmanzeigen_rechts\" colspan=\"2\">{$row['Originaltitel']}</td>";
        echo "</tr>";
    }
    if ( $row['Land'] != "" || $row['Jahr'] != 0 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Produktion</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">";
        if ( $row['Land'] != "" )
            echo $row['Land'];
        if ( $row['Land'] != "" && $row['Jahr'] != 0 )
            echo " / ";
        if ( $row['Jahr'] != 0 )
            echo $row['Jahr'];
        echo "</td>";
        echo "</tr>";
    }
    
    $myFilmID = $row['COLLECT_CollectID']."-".getAnzStellenID( $row['myFilmID'], $settings );
    echo "<tr>";
    echo "<td class=\"description_Filmanzeigen\">FilmID</td>";
    echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">".$myFilmID."</td>";
    echo "</tr>";
    
    // DiskID's anzeigen
    if ( $settings->showDiscID == TRUE || $settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">DiskID(s)</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" style=\"font-weight:normal;\" colspan=\"2\">".getDiscID( $myVar->FilmID, $myDB, $settings )."</td>";
        echo "</tr>";
    }
    // falls DiskID nicht angezeigt wird, Anzahl der Disks zhlen
    else
    {
        $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        
        if ( $row2['Anz'] > 1 )
        {
            echo "<tr>";
            echo "<td class=\"description_Filmanzeigen\">Diskanzahl</td>";
            echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">{$row2['Anz']} Disks</td>";
            echo "</tr>";
        }
    }
    
    // Film verliehen?
    $sql2 = "SELECT DiscID FROM $myDB->DISCS INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE FILME_FilmID=$myVar->FilmID";
    $rs2 = $myDB->go($sql2);
    $anz=0;
    while ( $row2 = $myDB->getRow($rs2) )
    {
        $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$row['COLLECT_CollectID']} AND di.USERS_UserID!=0 AND DiscID={$row2['DiscID']}";
        $rs3 = $myDB->go($sql3);
        $row3 = $myDB->getRow($rs3);
        $anz += $row3['Anz'];
    }
    if ( $anz > 0 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Status</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" style=\"font-weight:bold;\" colspan=\"2\">dieser Film ist zur Zeit verliehen</td>";
        echo "</tr>";
    }
    
    $sql2 = "SELECT COUNT(*) AS FilmGesehen FROM $myDB->FILME_USERS WHERE FILME_FilmID = $myVar->FilmID AND USERS_UserID = {$_SESSION['UserID']}";
    $rs2 = $myDB->go($sql2);
    $row2 = $myDB->getRow($rs2);
    if ( $row2['FilmGesehen'] == 1 )
    {
        $FilmGesehen = $row2['FilmGesehen'];
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">gesehen</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">ja</td>";
        echo "</tr>";
    }

    if ( $settings->showRating )
    {
        $sql2 = "SELECT AVG(Bewertung) AS Bewertung FROM $myDB->FILME fi " .
                "INNER JOIN $myDB->FILME_USERS fu ON fu.FILME_FilmID=FilmID " .
                "WHERE Bewertung!=0 AND FilmID=$myVar->FilmID";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        if ( $row2['Bewertung'] != '' )
        {
            echo "<tr>";
            echo "<td class=\"description_Filmanzeigen\">Bewertung</td>";
            echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">". round( $row2['Bewertung'], 2 ) ." von 10 Punkte</td>";
            echo "</tr>";
        }
    }
    
    if ( $settings->showBesitzer == TRUE )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Besitzer</td>";
        $sql2 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$row['USERS_UserID']}";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">{$row2['UserName']}</td>";
        echo "</tr>";
    }
    if ( $settings->showHistory == TRUE && $_SESSION['UserID'] == $row['USERS_UserID'] || $settings->showHistory == TRUE && $_SESSION['UserRechte'] == 900 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">last viewed</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">";
        $sql2 = "SELECT HistoryID , UserName, showUserName FROM $myDB->HISTORY hi INNER JOIN $myDB->USERS us ON hi.USERS_UserID = us.UserID WHERE FILME_FilmID ={$row['FilmID']} ORDER BY HistoryID DESC LIMIT 1";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        $var = array();
        $var['MenuID'] = 282;
        $var['FilmID'] = $row['FilmID'];
        $var = $myVar->getRequest($var); 

        if ($row2['showUserName'] == 1 || $_SESSION['UserID'] == $row['USERS_UserID'] || $_SESSION['UserRechte'] == 900) {
            if($row2['UserName'] != "") {
                echo "<a href=\"{$_SERVER['PHP_SELF']}?$var\">";
                echo "<span style=\"margin:0; text-decoration:underline;\">";
                echo $row2['UserName'];
                echo "</a></span>";
            } else {
                echo "Film bisher nicht ausgeliehen";
            }
        } elseif($row2['UserName'] != "") {
            echo "<a href=\"{$_SERVER['PHP_SELF']}?$var\">";
            echo "<span style=\"margin:0; text-decoration:underline;\">";
            echo "Annonym";
            echo "</a></span>";
        } else {
            echo "Film bisher nicht ausgeliehen";
        }
        echo "</td></tr>";
    }
    if ( $settings->showCollect == TRUE || $settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Kollektion</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">".getCollect( $myDB, $row['COLLECT_CollectID'] )."</td>";
        echo "</tr>";
    }
    if ( $settings->showFormat == TRUE || $settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Format</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">".getFormat( $myDB, $row['FORMATE_FormatID'] )."</td>";
        echo "</tr>";
    }
    if ( $Genre = getName( "Genre", $row['FilmID'], $myDB, $settings ) )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Genre</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">$Genre</td>";
        echo "</tr>";
    }
    if ( getName( "Actors", $row['FilmID'], $myDB, $settings ) )
    {
        $Actors = getActorsWithLink( $myDB, $settings, $myVar );
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Schauspieler</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">$Actors</td>";
        echo "</tr>";
    }
    // Regisseure nur anzeigen, wenn vorhanden
    if ( getName( "Regisseure", $row['FilmID'], $myDB, $settings ) )
    {
        $Regisseure = getRegisseureWithLink( $myDB, $settings, $myVar );
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Regisseur</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">$Regisseure</td>";
        echo "</tr>";
    }
    if ( $Untertitel = getName( "Untertitel", $row['FilmID'], $myDB, $settings ) )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Untertitel</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">$Untertitel</td>";
        echo "</tr>";
    }
    if ( $row['Laufzeit'] != 0 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Laufzeit</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">{$row['Laufzeit']}<span style=\"padding-left:0.1em\">min</span></td>";
        echo "</tr>";
    }
    if ( $row['FSKunbekannt'] == 0 )
    {
        echo "<tr>";
        if ($settings->ModFSK == 1) {
            echo "<td class=\"description_Filmanzeigen\">FSK</td>";
            echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">{$row['FSK']} Jahre</td>";
        } else {
            echo "<td class=\"description_Filmanzeigen_FSK\">FSK</td>";
            echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\"><img src=\"./FSK/{$row['FSK']}.png\"></td>";
        }
        echo "</tr>";
    }
    if ($settings->ModTonText == 1 && $settings->activateTonDetails) {
        echo "<tr>";
        $sql5 = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_TON_SPRACHE WHERE FilmID = $myVar->FilmID";
        $rs5 = $myDB->go($sql5);
        $row5 = $myDB->getRow($rs5);
        if ( $row5['Anz'] > 1 ) {
           echo "<td class=\"description_Filmanzeigen\">Tonformate</td>";
        } else {
           echo "<td class=\"description_Filmanzeigen\">Tonformat</td>";
        }
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\">";
        $sql2 = "SELECT fs.TonID, fs.SprachID, tn.Name, sp.Bezeichnung FROM $myDB->FILME_TON_SPRACHE fs INNER JOIN $myDB->TON tn ON fs.TonID = tn.TonID INNER JOIN $myDB->SPRACHE sp ON fs.SprachID = sp.SprachID WHERE fs.FilmID = $myVar->FilmID ORDER BY sp.Bezeichnung";
        $rs2 = $myDB->go($sql2);

        for ( $i = 0; $i < $row5['Anz']-1; ++$i )
        {
            $row2 = $myDB->getRow($rs2);
            echo "{$row2['Bezeichnung']} ({$row2['Name']}), ";	
        }
        if ($row5['Anz'] == 0) {
           echo "Kein Tonformat eingetragen"; 
        } else {
           $row2 = $myDB->getRow($rs2);
           echo "{$row2['Bezeichnung']} ({$row2['Name']}) ";
        }
    echo "</td></tr>";
    }
    if ( strlen( $row['Webseite'] ) != 0 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Webseite</td>";
        echo "<td class=\"description_Filmanzeigen_rechts\" colspan=\"2\"><a href=\"{$row['Webseite']}\"><u>{$row['Webseite']}</u></a></td>";
        echo "</tr>";
    }
    if ( $row['Inhalt'] != "" )
    {
        echo "<tr>";
        echo "<td colspan=\"3\">&nbsp;</td>";
        echo "</tr>";

        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Inhalt</td>";
        echo "<td style=\"text-align:justify\" class=\"description_Filmanzeigen_rechts\" colspan=\"2\">{$row['Inhalt']}</td>";
        echo "</tr>";
    }
    if ( $row['Bemerkung'] != "" )
    {
        echo "<tr>";
        echo "<td colspan=\"2\">&nbsp;</td>";
        echo "</tr>";

        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Bemerkung</td>";
        echo "<td style=\"text-align:justify\" class=\"description_Filmanzeigen_rechts\" colspan=\"2\">{$row['Bemerkung']}</td>";
        echo "</tr>";
    }

    if ( $settings->activateTrailer && $row['TrailerConfig'] != '') {
        echo "<tr>";
        echo "<td colspan=\"3\">&nbsp;</td>";
        echo "</tr>";

        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Trailer</td>";
        echo "<td style=\"text-align:justify\" class=\"description_Filmanzeigen_rechts\" colspan=\"2\">";	
        if($row['TrailerTypID'] == 1) {
          echo $row['TrailerConfig'];
        } else {
          if(strpos($row['TrailerConfig'],'.') == 0) 
            $row['TrailerConfig'] = '.' . $row['TrailerConfig'];
        	echo "<div id=\"container\"><a href=\"http://www.macromedia.com/go/getflashplayer\">Get the Flash Player</a> to see this player.</div>
        	<script type=\"text/javascript\" src=\"./script/swfobject.js\"></script>
        	<script type=\"text/javascript\">
        		var s1 = new SWFObject(\"./script/player.swf\",\"ply\",\"{$row['TrailerBreite']}\",\"{$row['TrailerHoehe']}\",\"9\",\"#FFFFFF\");
        		s1.addParam(\"wmode\",\"opaque\");
        		s1.addParam(\"allowfullscreen\",\"true\");
        		s1.addParam(\"allowscriptaccess\",\"always\");
        		s1.addParam(\"flashvars\",\"file=".$row['TrailerConfig']."&image=./img/preview.jpg&autostart=$settings->TrailerAutoStart\");
        		s1.write(\"container\");
        	</script></td>";
        }
	      echo "</td>";
        echo "</tr>";
     }

    $sql2 = "SELECT * FROM $myDB->FILME_USERS WHERE FILME_FilmID = $myVar->FilmID AND LENGTH(Kommentar) ORDER BY Zeitpunkt ASC";
    $rs2 = $myDB->go($sql2);
    $anz = mysql_num_rows($rs2);
    if ($anz > 0) {
        echo "<tr>";
        echo "<td class=\"description_Filmanzeigen\">Kommentar</td>";
        echo "<td style=\"text-align:justify\" class=\"description_Filmanzeigen_rechts\" colspan=\"2\">";

        while ( $row2 = $myDB->getRow($rs2) )
        {
            // wenn Name anzeigen, dann Name holen
            if ( $row2['zeigeNamen'] )
            {
                $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$row2['USERS_UserID']}";
                $rs3 = $myDB->go($sql3);
                $row3 = $myDB->getRow($rs3);
                $Name = $row3['UserName'];
            }
            else
                $Name = "Ein Benutzer";

            echo "<span>$Name schrieb:</span>";
            echo "<span>{$row2['Kommentar']}</span><br />";
        }
    echo "</td>";
    echo "</tr>";
    }
    echo "</table>";

    echo "<table width=\"100%\">";
    echo "<tr>";
    echo "<td style=\"padding:30px 0px 30px 107px;\">";
    echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
    
    $var = array();
    $var['MenuID'] = $myVar->oldMenuID;
    $var['FilmID'] = 0;
    echo $myVar->getRequest($var,TRUE);
    echo "<input class=\"buttonSubmit\" type=\"submit\" value=\"zur&uuml;ck\" />";
    echo "</form>";

    echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
    
    $var = array();
    $var['MenuID'] = 291;
    echo $myVar->getRequest($var,TRUE);
    
    if ( $_SESSION['UserRechte'] >= 600 || $_SESSION['UserID'] != $settings->autoLogin )
    {
        if ( isset ( $FilmGesehen ) && $FilmGesehen == 0 )
            echo "<input class=\"buttonSubmit\" type=\"submit\" value=\"Film gesehen\" />";
        else
            echo "<input class=\"buttonSubmitAktion\" type=\"submit\" value=\"Bewertung\" />";
    }
    echo "</form>";
    
    
    if ( $_SESSION['UserRechte'] == 900 || $_SESSION['UserRechte'] == 600 && $row['USERS_UserID'] == $_SESSION['UserID'] )
    {

        echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
        
        $var = array();
        $var['MenuID'] = 598;
        echo $myVar->getRequest($var,TRUE);
        
        echo "<input class=\"buttonSubmitWarning\" type=\"submit\" value=\"bearbeiten\" />";
        echo "</form>";
    }
    // Button soll nur vorhanden sein, wenn Film nicht ausgeliehen
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID = 0 AND di.FILME_FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs); 
    if ( $_SESSION['UserRechte'] >= 900 && $row['Anz'] > 0 || $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute && $row['Anz'] > 0 )
    {
        echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
        
        $var = array();
        $var['MenuID'] = 897;
        echo $myVar->getRequest($var,TRUE);
        
        echo "<input class=\"buttonSubmitAktion\" type=\"submit\" value=\"verleihen\" />";
        echo "</form>";
    }
        if ( $myVar->MenuID == 280 && $_SESSION['UserID'] != $_SESSION['ResID'] && $settings->activateReservierung)
    {
        echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";

        $var = array();
        echo $myVar->getRequest($var,TRUE);

        echo "<input class=\"buttonSubmitAktion\" type=\"submit\" value=\"reservieren\" name=\"reservieren\" />";
        echo "</form>";
    }
        echo "</td>";
        echo "</tr>";
        echo "</table>";

    
}


?>
