<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Hier werden alle Menus zum anzeigen von allen Filmen abgearbeitet
 */


if ( $_SESSION['UserRechte'] < 300 )
    exit();
    
if ($settings->activateSortierTitel)
  $titel = 'Sortiertitel';
else
  $titel = 'Titel';


// alle Filme anzeigen
if ( $myVar->MenuID == 299 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt FROM $myDB->FILME fi";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE". $myVar->searchVar . " AND " . $myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;

        if ($myVar->orderBy == ausgeliehenAm || $myVar->orderBy == zurueckgegebenAm)
            $sql .= " ORDER BY $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        else
            $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}


// alle gesehenen Filme
if ( $myVar->MenuID == 297 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt FROM $myDB->FILME fi INNER JOIN $myDB->FILME_USERS fu ON fi.FilmID = fu.FILME_FilmID AND fu.USERS_UserID = {$_SESSION['UserID']}";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE". $myVar->searchVar . " AND " . $myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        if ($myVar->orderBy == ausgeliehenAm || $myVar->orderBy == zurueckgegebenAm)
            $sql .= " ORDER BY $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        else
            $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}





// alle ungesehenen Filme
if ( $myVar->MenuID == 298 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt FROM $myDB->FILME fi ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE fi.FilmID NOT IN ( SELECT FILME_FilmID FROM $myDB->FILME_USERS WHERE USERS_UserID = {$_SESSION['UserID']} )" .
                " AND $myVar->searchVar AND".$myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        if ($myVar->orderBy == ausgeliehenAm || $myVar->orderBy == zurueckgegebenAm)
            $sql .= " ORDER BY $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        else
            $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}


// alle momentan ausgeliehenen Filme anzeigen
if ( $myVar->MenuID == 296 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT DISTINCT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt, ausgeliehenAm FROM $myDB->FILME fi INNER JOIN $myDB->DISCS di ON fi.FilmID=di.FILME_FilmID ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE di.USERS_UserID = {$_SESSION['UserID']} AND $myVar->searchVar AND".$myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        if ($myVar->orderBy == ausgeliehenAm || $myVar->orderBy == zurueckgegebenAm)
            $sql .= " ORDER BY $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        else
            $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}
// alle momentan reservierten Filme anzeigen
if ( $myVar->MenuID == 294 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT DISTINCT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt, reserviertAm FROM $myDB->FILME fi INNER JOIN $myDB->RESERVIERUNG re ON fi.FilmID=re.FILME_FilmID ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE re.USERS_UserID = {$_SESSION['UserID']} AND $myVar->searchVar AND".$myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        if ($myVar->orderBy == ausgeliehenAm || $myVar->orderBy == zurueckgegebenAm)
            $sql .= " ORDER BY $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        else
            $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}

// Verleihhistory anzeigen
if ( $myVar->MenuID == 281 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;

        if($myVar->orderBy == $titel) {
           $myVar->orderBy = zurueckgegebenAm;
           $myVar->ASC= DESC;
        }
        elseif ($myVar->orderBy == $titel.'2') {
           $myVar->orderBy = $titel;
           $myVar->ASC = ASC;
        }

        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt, ausgeliehenAm, COALESCE( zurueckgegebenAm, '9999-99-99' ) AS zurueckgegebenAm FROM $myDB->FILME fi";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " INNER JOIN $myDB->HISTORY hi ON hi.FILME_FilmID = fi.FilmID";
        $sql .= " WHERE hi.USERS_UserID = {$_SESSION['UserID']} AND". $myVar->searchVar . " AND " . $myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, $titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}

// Verleihhistory Filmdetailansicht
if ( $myVar->MenuID == 282 )
{
    if ( $myVar->anzIndividuen && isset($_GET['FilmID']) )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT Titel, Originaltitel, ausgeliehenAm, COALESCE( zurueckgegebenAm, '9999-99-99' ) AS zurueckgegebenAm, UserName, showUserName, fi.USERS_UserID FROM $myDB->FILME fi";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " INNER JOIN $myDB->HISTORY hi ON hi.FILME_FilmID = fi.FilmID INNER JOIN $myDB->USERS us ON hi.USERS_UserID = us.UserID";
        $sql .= " WHERE hi.FILME_FilmID = {$_GET['FilmID']} AND". $myVar->searchVar . " AND " . $myDB->sqlForPriv;
               
        $sql .= " ORDER BY zurueckgegebenAm DESC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printVerleihTableHead( $myVar, $myDB );
        printVerleihTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";

        echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo "<table class=\"bewertung_kommentar\" style=\"width:100%;\">";
        echo "<tr>";
        echo "<td colspan=\"2\" style=\"padding:0px 0px 20px 10px; vertical-align:top;\">";
        echo "<input class=\"buttonSubmit\" type=\"button\" value=\"zur&uuml;ck\" onClick=\"history.back()\" />";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "</form>";
    }
}
?>
