<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * verschiedene Funktionen
 */


/*
 * Alle Namen von Actor oder Regie in String schreiben
 */
function getName( $Type, $ID, &$myDB, &$settings ) {

    if ( $Type == "Regisseure" )
        $sql = "SELECT Name FROM $myDB->REGISSEURE INNER JOIN $myDB->FILME_REGISSEURE ON REGISSEURE_RegisseurID = RegisseurID WHERE FILME_FilmID = {$ID} ORDER BY Rang";
    else if ( $Type == 'Actors' )
        $sql = "SELECT Name FROM $myDB->ACTORS INNER JOIN $myDB->FILME_ACTORS ON ACTORS_ActorID = ActorID WHERE FILME_FilmID = {$ID} ORDER BY Rang";
    else if ( $Type == 'Untertitel' )
        $sql = "SELECT Bezeichnung as Name FROM $myDB->SPRACHE INNER JOIN $myDB->FILME_UNTERTITEL ON SPRACHE_SprachID = SprachID WHERE FILME_FilmID = {$ID}";
    else // if Genre
        $sql = "SELECT Name FROM $myDB->GENRES INNER JOIN $myDB->FILME_GENRES ON GENRES_GenreID = GenreID WHERE FILME_FilmID = {$ID}";

    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    $ret = $row['Name'];
    while ( $row = $myDB->getRow($rs) )
        $ret .= $settings->trennzeichen." ".$row['Name'];

    return $ret;
}



/*
 * Alle Discs eines Filmes schreiben
 */
function getDiscID ( $ID, &$myDB, &$settings ) {

    $sql = "SELECT COLLECT_CollectID,DiscID FROM $myDB->FILME INNER JOIN $myDB->DISCS ON FILME_FilmID = FilmID WHERE FILME_FilmID=$ID ORDER BY DiscID";
    $rs = $myDB->go($sql);
    $ret = "";
    while ( $row = $myDB->getRow($rs) )
    {
        // wenn mehrere Filme auf dieser Disc sind, wird DiscID fett geschrieben
        $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE FILME_FilmID!=$ID AND DiscID={$row['DiscID']} AND COLLECT_CollectID={$row['COLLECT_CollectID']}";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        if ( $row2['Anz'] > 0 )
            $ret .= "<strong>".$row['COLLECT_CollectID']."-".getAnzStellenID( $row['DiscID'], $settings )."</strong>";
        else
            $ret .= $row['COLLECT_CollectID']."-".getAnzStellenID( $row['DiscID'], $settings );
        
        $ret = $ret.$settings->trennzeichen." ";
    }

    // letztes Trennzeichen wegschneiden
    return substr( $ret, 0, strlen($ret)-strlen($settings->trennzeichen)-1 );
}



/*
 * Alle Namen von Actors in String schreiben
 */
function getActorsWithLink ( &$myDB, &$settings, &$myVar ) {

    $sql = "SELECT ActorID AS ID, Name FROM $myDB->ACTORS INNER JOIN $myDB->FILME_ACTORS ON FILME_FilmID = $myVar->FilmID AND ACTORS_ActorID = ActorID ORDER BY Rang";

    $rs = $myDB->go($sql);
    
    $ret = "";
    for ( $i=0; $row = $myDB->getRow($rs); ++$i )
    {
        $var = array();
        $var['MenuID'] = 290;
        $var['RegisseurID'] = 0;
        $var['ActorID'] = $row['ID'];
        $var = $myVar->getRequest($var);
        
        if ( $i!=0 )
            $ret .= $settings->trennzeichen." ";
        
        $ret .= "<a href=\"{$_SERVER['PHP_SELF']}?$var \"><u>".$row['Name']."</u></a>";
    }
    
    return $ret;
}



/*
 * Alle Namen von Regie in String schreiben
 */
function getRegisseureWithLink ( &$myDB, &$settings, &$myVar ) {

    $sql = "SELECT RegisseurID AS ID, Name FROM $myDB->REGISSEURE INNER JOIN $myDB->FILME_REGISSEURE ON FILME_FilmID = $myVar->FilmID AND REGISSEURE_RegisseurID = RegisseurID ORDER BY Rang";

    $rs = $myDB->go($sql);
    
    $ret = "";
    for ( $i=0; $row = $myDB->getRow($rs); ++$i )
    {
        $var = array();
        $var['MenuID'] = 290;
        $var['RegisseurID'] = $row['ID'];
        $var['ActorID'] = 0;
        $var = $myVar->getRequest($var);
        
        if ( $i!=0 )
            $ret .= $settings->trennzeichen." ";
        
        $ret .= "<a href=\"{$_SERVER['PHP_SELF']}?$var \"><u>".$row['Name']."</u></a>";
    }
    
    return $ret;
}


/*
 * Ein String wird am Komma aufgesplittet
 */
function getArrayNames( $string, &$settings, &$myDB ) {
    // String am Trennzeichen trennen
    $array = explode( $settings->trennzeichen, $string );
    // fr jeden Teil Leerzeichen entfernen und HTML-Entities ersetzen
    for ( $i = 0; $i < count($array); ++$i ) {
        
        if ( strlen(trim($array[$i])) > 0 )
            $array[$i] = $myDB->escape_string( htmlentities( trim( $array[$i] ) ) );
        else
            unset($array[$i]);
    }
    return $array;
}


/*
 * Zu einem Array mit Namen wird die ID des Typs geholt.
 * Wenn Name nicht vorhanden, wird Name eingefgt.
 */
function getArrayNameID( $array, $Type, &$myDB ) {

    $retArray = array();
    
    for ( $i = 0; $i < count($array); ++$i )
    {
        // wWnn es sich um ein leeres Feld handelt, muss nichts eingefgt werden
        if ( $array[$i] != "''" )
        {
            // Schauen, ob sich dieser Name bereits in der DaBa befindet
            if ( $Type == "Regisseure" )
                $sql = "SELECT RegisseurID AS ID FROM $myDB->REGISSEURE WHERE Name={$array[$i]}";
            else if ( $Type == "Actors" )
                $sql = "SELECT ActorID AS ID FROM $myDB->ACTORS WHERE Name={$array[$i]}";
            else if ( $Type == "Untertitel" )
                $sql = "SELECT SprachID AS ID FROM $myDB->SPRACHE WHERE Bezeichnung={$array[$i]}";
            else // if Genre - wird nur von convert.php verwendet
                $sql = "SELECT GenreID AS ID FROM $myDB->GENRES WHERE Name={$array[$i]}";

            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            // Wenn keine ID zurck gegeben wurde, wird Name neu eingefgt
            if ( $row['ID'] == "" )
            {
                if ( $Type != "Genre" )
                {
                    if ( $Type == "Regisseure" )
                        $sql = "INSERT INTO $myDB->REGISSEURE (Name) VALUES ({$array[$i]})";
                    else if ( $Type == "Actors" )
                        $sql = "INSERT INTO $myDB->ACTORS (Name) VALUES ({$array[$i]})";
                    else if ( $Type == "Untertitel" )
                        $sql = "INSERT INTO $myDB->SPRACHE (Bezeichnung) VALUES ({$array[$i]})";
                    
                    $rs = $myDB->go($sql);
                    
                    $retArray[$i] = mysql_insert_id();
                }
                else // eigentlich sollten alle GenreID's bekannt sein,
                     // nur gibt es einen kleinen Schreibfehler in Science Fiction
                     // wird wieder nur von convert.php verwendet 
                    $retArray[$i] = 10;
            }
            else
                $retArray[$i] = $row['ID'];
        }
    }
    
    return $retArray;
}


/*
 * Mit ID, Type und FilmID wird die n:m-Tabelle gefllt
 */
function insertIntoRelation( $array, $Type, $FilmID, &$myDB ){

    for ( $i = 0; $i < count($array); ++$i ) {
        $index = $i + 1;
        
        if ( $Type == "Regisseure" )
            $sql = "INSERT INTO $myDB->FILME_REGISSEURE ( FILME_FilmID, REGISSEURE_RegisseurID, Rang ) VALUES ( $FilmID, {$array[$i]}, $index )";
        else if ( $Type == "Actors" )
            $sql = "INSERT INTO $myDB->FILME_ACTORS ( FILME_FilmID, ACTORS_ActorID, Rang ) VALUES ( $FilmID, {$array[$i]}, $index )";
        else if ( $Type == "Untertitel" )
            $sql = "INSERT INTO $myDB->FILME_UNTERTITEL ( FILME_FilmID, SPRACHE_SprachID) VALUES ( $FilmID, {$array[$i]})";
        else
            $sql = "INSERT INTO $myDB->FILME_GENRES ( FILME_FilmID, GENRES_GenreID ) VALUES ( $FilmID, {$array[$i]} )";
            
        $rs = $myDB->go($sql);
    }
}

/*
 * Wieviele Stellen der FilmID werden angezeigt, wenn sie ausgegben wird?
 */
function getAnzStellenID( $ID, &$settings )
{
    if ( (int) $ID > 0 )
    {
        $ID = (string)$ID;
        while ( strlen($ID) < $settings->anzStellenID )
            $ID = "0".$ID;
        return $ID;
    }
    return;
}


/*
 * String, um in Benutzerdaten einzufgen 
 */
function gen_string( $addString = '' ) {
    // genriere Password
    $pool  = "qwertzupasdfghkyxcvbnm";
    $pool .= "0123456789";
    $pool .= "WERTZUPLKJHGFDSAYXCVBNM";
    mt_srand ((double)microtime()*1000000);
    $pwd = "";
    for($index = 0; $index < 10; $index++)
        $pwd .= substr($pool,(mt_rand()%(strlen ($pool))), 1);
    
    // addiere microtime() und IP-Adr
    $string = $pwd.microtime().$_SERVER['REMOTE_ADDR'].$addString;
    
    return sha1( $string );
}


/*
 * einen HTML-kodierten String umkodieren
 */
function ret_entities($html) {
    $trans = get_html_translation_table(HTML_ENTITIES);
    $trans = array_flip($trans);
    return strtr($html, $trans);
}


/*
 * fr Export in CSV-Datei umkodieren
 */
function export_convert($html) {

    return str_replace( ";", "", ret_entities($html)).";";
}


/*
 * meine Mail-Funktion
 * supported by Alexia Wolniack
 */
function myMail($mailTo, $mailToName, $subject, $message, &$settings, $addMeToCC=FALSE) {
    
    $mail = new PHPMailer();
    
    if ( $settings->mailSMTP )
    {
        $mail->IsSMTP();
        $mail->Host     = $settings->smtpHost;
        $mail->Port     = $settings->smtpPort;
        $mail->SMTPAuth = $settings->smtpAuthentication;
        if ( $settings->smtpAuthentication )
        {
            $mail->Username = $settings->smtpUsername;
            $mail->Password = $settings->smtpPasswort;
        }
    }
    else
        $mail->IsMail();
    
    if ( $settings->mailHTML )
    {
        $message = nl2br( $message );
        $mail->IsHTML( TRUE ); 
        
        $settings->mailFromName = ret_entities( $settings->mailFromName );
        $mailToName = ret_entities( $mailToName );
        $settings->mailReplyToName = ret_entities( $settings->mailReplyToName );
    }
    else
    {
        $mail->IsHTML( FALSE );
        $mail->WordWrap = $settings->mailWordWrap;
    }
    
    
    $mail->From     = $settings->mailFrom;
    $mail->FromName = $settings->mailFromName;
    $mail->AddAddress( $mailTo, $mailToName );
    if ( strlen($settings->mailReplyTo) )    
        $mail->AddReplyTo( $settings->mailReplyTo, $settings->mailReplyToName );
    
    if ( $addMeToCC )
    {
        if ( strlen($settings->mailReplyTo) )    
            $mail->AddCC( $settings->mailReplyTo, $settings->mailReplyToName );
        else
            $mail->AddCC( $settings->mailFrom, $settings->mailFromName );
    }
    
    
    $mail->Subject  =  $subject;
    $mail->Body     =  $message;
    
    if(!$mail->Send())
        return "Die Mail wurde nicht versendet. Der Grund dafr ist: Mailer Error: " . $mail->ErrorInfo .
        " Evtl. hilft es, die Mail mit PHP zu verschicken.";
}


/*
 * Testfunktion
 * by Alexia Wolniack
 */
function test($var,$name) {
    
    $text="";       
    $art=gettype($var);
    $text=" diese Ausgabe wird von der Datei <b>".$name["seite"]."</b> in dem Bereich <b>".$name["zeile"]."</b> erzeugt.<br>\n ";
    // wenn es ne ja oder nein wert ist
    if ($art=="boolean")
    {
        if ($array==true){ $text.="die ".$name["text"]." ist ein ".$art."-wert mit true<br>\n";}
        if ($array==false){$text.="die ".$name["text"]." ist ein ".$art."-wert mit false<br>\n";}
    }
    //wenn es ein array ist
    if ($art=="array")
    {
        $text.="dies ist der testausdruck des Arrays ".$name["text"]."<br>\n";
        foreach ($var as $schl=>$temp)
        {
            $text.= $schl." = ".$temp."<br>\n";
        }
    }
    //wenn es keins von beiden ist
    if ($art!="array")
    {
        $text.="die ".$name["text"]." ist ein ".$art."-wert mit<br> ".$var."<br>\n";
    }
    $text.="<br>\n";
    return $text;
}
 

/*
 * Gibt das erlaubte FSK-Alter zurck. Bentigt die UserID und Datenbank-Klasse
 */
function getMaxFSK( $UserID, &$myDB ) {
    
    $sql = "SELECT (YEAR(CURDATE())-YEAR(Birthday)) - (RIGHT(CURDATE(),5)<RIGHT(Birthday,5)) AS age FROM $myDB->USERS WHERE UserID = $UserID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    $age = $row['age'];
    
    if ( $age < 6 )
        return 0;
    elseif ( $age < 12 )
        return 6;
    elseif ( $age < 16 )
        return 12;
    elseif ( $age < 18 )
        return 16;
    else
        return 18;
}


/*
 * Formatiere Datum in gewohnte schreibweise
 */
function formatDate( $Date )
{
	if ( $Date == '0000-00-00' || $Date == '0000-00-00 00:00:00' )
	    return '&lt;unbekannt&gt;';
    
    $tmpDate = explode( "-", $Date );
    $tmpDate = mktime( 0, 0, 0, (int)$tmpDate[1], (int)$tmpDate[2], (int)$tmpDate[0] );
    return date( "j. M Y", $tmpDate );
    
    /*
	$dateArray = explode( "-", $Date );
	
	switch( $dateArray[1] )
    {
        case '01': $month = 'Jan.'; break;
        case '02': $month = 'Feb.'; break;
        case '03': $month = 'M&auml;rz'; break;
        case '04': $month = 'April'; break;
        case '05': $month = 'Mai'; break;
        case '06': $month = 'Juni'; break;
        case '07': $month = 'Juli'; break;
        case '08': $month = 'Aug.'; break;
        case '09': $month = 'Sept.'; break;
        case '10': $month = 'Okt.'; break;
        case '11': $month = 'Nov.'; break;
        case '12': $month = 'Dez.'; break;
    }
    
    return (int)$dateArray[2].". ".$month." ".$dateArray[0];
    */
}
/*
 * Erzeuge ein Thumbnail zu einem gegebenen Film
 */
function createThumbnail( $FilmID, $Rang, $Appendix, $Extension, &$myDB )
{
	global $cover_dir;

    // gewnschte Hhe
    $dest_h = 100;
    // gewnschte Breite
    $dest_w  = 75;
    
    $ratio = $dest_h / $dest_w;
    
    $src_img = "$cover_dir/{$FilmID}_{$Rang}_{$Appendix}.".strtolower($Extension);
    //$mime = mime_content_type($src_img);
    //$type = substr($mime, strpos($mime,'/')+1);
    
    // etwas unschn fr die Ermittlung des Formats, aber es wurde beim Hochladen schon geprft...
    switch( strtolower($Extension) ) {
        case 'jpeg': case 'pjpeg': case 'jpg':
            $image = imagecreatefromjpeg($src_img);
            break;
        case 'png': case 'x-png':
            $image = imagecreatefrompng($src_img);
            break;
        case 'gif':
            $image = imagecreatefromgif($src_img);
            break;
        default:
            return("Zu diesem Bildformat kann kein Thumbnail erstellt werden!");
    }
    
    $dest_img = "$cover_dir/{$FilmID}_{$Rang}_{$Appendix}_small.".strtolower($Extension);
    $src_size = getimagesize($src_img);
                        
    // verkleinertes Cover muss proportional bleiben
    // wenn das Bild breiter ist...
    if ( $src_size[1]/$src_size[0] < $ratio )
    {
        $off_y = 0;
        $off_x = (int)( $src_size[0] - $src_size[1]/$ratio ) / 2;
        $src_size[0] = (int)$src_size[1]/$ratio;
    }
    // wenn das Bild hher ist...
    elseif ( $src_size[1]/$src_size[0] > $ratio )
    {
        $off_y = (int)( $src_size[1] - $src_size[0]*$ratio ) / 2;
        $off_x = 0;
        $src_size[1] = (int)$src_size[0]*$ratio;
    }
    // wenn Bild genau im Verhltnis ist
    else
    {
        $off_y = 0;
        $off_x = 0;
    }
    
    $image_p = imagecreatetruecolor($dest_w,$dest_h);
    $ret = imagecopyresampled( $image_p, $image,0,0,$off_x,$off_y, $dest_w, $dest_h, $src_size[0],$src_size[1]  );
    
    // Wenn Fehler aufgetreten, dann zurck
    if ( !$ret )
        return("Fehler beim Erstellen eines Thumbnails!");
    
    
    switch( strtolower($Extension) ) {
        case 'jpeg': case 'pjpeg': case 'jpg':
            imagejpeg($image_p, $dest_img, 100);
            break;
        case 'png': case 'x-png':
            imagepng($image_p, $dest_img);
            break;
        case 'gif':
            imagegif($image_p, $dest_img);
            break;
        default:
            return("Mit dem Thumbnail stimmt etwas nicht!");
    }
    
    // nderung muss gespeichert werden
    $sql = "UPDATE $myDB->COVERS SET hatThumbnail=1 WHERE FILME_FilmID=$FilmID AND Rang=$Rang";
    $myDB->go($sql);
    
    return;
}

/*
 * Die UserRechte 300, 600 und 900 umcodieren in verstndliche Ausdrcke
 */
function getRechte( $number ) {
    
    switch ( $number )
    {
        case 300: return "Benutzer";
        case 600: return "Admin";
        case 900: return "Superadmin";
        default:  return "Superadmin";
    }
}

/*
 * getEmail 0 und 1 umcodieren in verstndliche Ausdrcke
 */
function getEmail( $number ) {
    
    switch ( $number )
    {
        case 0: return "nein";
        case 1: return "ja";
        default:  return "ja";
    }
}


/*
 * Berechne alle Variablen, die man fr die Navigation bentigt, wenn Filmliste durchgegangen wird
 */
function berechneNaviFilme( &$myVar, &$myDB ) {

    if($settings->activateSortierTitel)
      $titel = 'Sortiertitel';
    else
      $titel = 'Titel';

    // PASSENDES QUERY, UM ANZAHL ZU FINDEN
    $sql = "";
    
    // wenn gesehene Filme
    if ( $myVar->MenuID == 297 )
        $sql .= " INNER JOIN $myDB->FILME_USERS fu ON fi.FilmID = fu.FILME_FilmID";
    
    // wenn ausgeliehene Filme
    if ( $myVar->MenuID == 296 )
        $sql .= " INNER JOIN $myDB->DISCS di ON fi.FilmID=di.FILME_FilmID ";
    
    // wenn reservierte Filme
    if ( $myVar->MenuID == 294 )
        $sql .= " INNER JOIN $myDB->RESERVIERUNG re ON fi.FilmID=re.FILME_FilmID ";
    if ( $myVar->MenuID == 281 )
        $sql .= " INNER JOIN $myDB->HISTORY hi ON fi.FilmID=hi.FILME_FilmID ";

    // Genre, Format und Collection anhngen
    if ( $myVar->GenreID != 0 )
        $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
    if (  $myVar->FormatID != 0 )
        $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
    if (  $myVar->CollectID != 0 )
        $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
    
    $sql .= " WHERE $myVar->searchVar AND ".$myDB->sqlForPriv;
    
    // wenn gesehenen Filme
    if ( $myVar->MenuID == 297 )
        $sql .= " AND fu.USERS_UserID = {$_SESSION['UserID']}";
    
    // wenn ungesehenen Filme
    if ( $myVar->MenuID == 298 )
        $sql .= " AND fi.FilmID NOT IN ( SELECT FILME_FilmID FROM $myDB->FILME_USERS WHERE USERS_UserID = {$_SESSION['UserID']} )";
    
    // wenn ausgeliehene Filme
    if ( $myVar->MenuID == 296 )
        $sql .= " AND di.USERS_UserID = {$_SESSION['UserID']}";
    
    // wenn reservierte Filme
    if ( $myVar->MenuID == 294 )
        $sql .= " AND re.USERS_UserID = {$_SESSION['UserID']}";
    if ( $myVar->MenuID == 281 )
        $sql .= " AND hi.USERS_UserID = {$_SESSION['UserID']}";

    // Query fr Anfangsbuchstaben muss nun getrennt werden
    $sqlForLetters = "SELECT COUNT(*) AS Anz, LEFT($titel, 1) AS Letter FROM $myDB->FILME fi ".$sql;

    // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
    if ( strlen( $myVar->Letter ) )
        $sql .= $myVar->sqlLetter;
    
    // wenn ausgeliehene Filme
    if ( $myVar->MenuID == 296 )
        $sql .= "  GROUP BY di.FILME_FilmID";
    
    // wenn reservierte Filme
    if ( $myVar->MenuID == 294 )
        $sql .= "  GROUP BY re.FILME_FilmID";
    if ( $myVar->MenuID == 281 )
        $sql .= "  GROUP BY hi.HistoryID";

    // eigentlichen Query fertigstellen
    $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME fi ".$sql;
    
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    // wenn ausgeliehene Filme
    if ( $myVar->MenuID == 296 )
        $row['ANZ'] = mysql_num_rows($rs);
    
    // wenn reservierte Filme
    if ( $myVar->MenuID == 294 )
        $row['ANZ'] = mysql_num_rows($rs);
    if ( $myVar->MenuID == 281 )
        $row['ANZ'] = mysql_num_rows($rs);

    if ( $myVar->anzIndividuen = $row['ANZ'] )
        $myVar->anzPages = ceil( $myVar->anzIndividuen / $myVar->maxShow );
    else
        $myVar->anzPages = 1;
    
    // wenn bergebene Seite grer, dann auf 1 setzen
    if ( $myVar->page > $myVar->anzPages )
        $myVar->page = 1;
    
    // berechne wieviele Filme aktuell angezeigt werden (wegen Leiste)
    if ( $myVar->page == $myVar->anzPages )
        $myVar->anzThisPage = $myVar->maxShow - ( $myVar->anzPages * $myVar->maxShow - $myVar->anzIndividuen );
    else
        $myVar->anzThisPage = $myVar->maxShow;
    
    
    // berechne die Auswahlleiste fr alle Anfangsbuchstaben
    if ( $myDB->MySQL_Ver )
    {
        $sqlForLetters .= " GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT($titel, 1) AS Letter FROM $myDB->FILME)";
        //echo $sqlForLetters;
        $rs = $myDB->go($sqlForLetters);
        $myVar->LetterArray = array();
        while ( $row = $myDB->getRow($rs) )
        {
            // alle vorkommenden Anfangsbuchstaben werden in ein Array geschrieben, damit diese wieder ausgegeben werden knnen
            if ( !preg_match( "/[a-zA-Z]/", substr( $row['Letter'], 0, 1 ) ) )
            {
                if ( !count($myVar->LetterArray) )
                    $myVar->LetterArray[] = "@";
            }
            else
                $myVar->LetterArray[] = $row['Letter'];
        }
    }
}


/*
 * Berechne alle Variablen, die man fr die Navigation bentigt, wenn gesucht wird
 */
function berechneNaviSuche( &$myVar, &$myDB ) {

    if($settings->activateSortierTitel)
      $titel = 'Sortiertitel';
    else
      $titel = 'Titel';

    // Query bercksichtig alle Privilegien
    if ( $myDB->MySQL_Ver == TRUE && $_SESSION['UserRechte'] <= 600 )
    {
        switch ( $myVar->searchIn )
        {
            case "Actors":
            {// $myVar->searchFor $myVar->sqlLetterName
                $sql = "SELECT DISTINCT COUNT(*) AS ANZ FROM $myDB->ACTORS re WHERE $myVar->searchVar $myVar->sqlLetterName AND re.ActorID IN( SELECT ACTORS_ActorID FROM $myDB->FILME_ACTORS fa INNER JOIN $myDB->FILME fi ON fa.FILME_FilmID=fi.FilmID WHERE ".$myDB->sqlForPriv." )";
                $sqlForLetters = "SELECT DISTINCT COUNT(*) AS ANZ, LEFT(Name, 1) AS Letter FROM $myDB->ACTORS re WHERE $myVar->searchVar AND re.ActorID IN( SELECT ACTORS_ActorID FROM $myDB->FILME_ACTORS fa INNER JOIN $myDB->FILME fi ON fa.FILME_FilmID=fi.FilmID WHERE ".$myDB->sqlForPriv." ) GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT(Name, 1) AS Letter FROM $myDB->ACTORS)";
                break;
            }
            case "Regisseure":
            {
                $sql = "SELECT DISTINCT COUNT(*) AS ANZ FROM $myDB->REGISSEURE re WHERE $myVar->searchVar $myVar->sqlLetterName AND re.RegisseurID IN( SELECT REGISSEURE_RegisseurID FROM $myDB->FILME_REGISSEURE fr INNER JOIN $myDB->FILME fi ON fr.FILME_FilmID=fi.FilmID WHERE ".$myDB->sqlForPriv." )";
                $sqlForLetters = "SELECT DISTINCT COUNT(*) AS ANZ, LEFT(Name, 1) AS Letter FROM $myDB->REGISSEURE re WHERE $myVar->searchVar AND re.RegisseurID IN( SELECT REGISSEURE_RegisseurID FROM $myDB->FILME_REGISSEURE fr INNER JOIN $myDB->FILME fi ON fr.FILME_FilmID=fi.FilmID WHERE ".$myDB->sqlForPriv." ) GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT(Name, 1) AS Letter FROM $myDB->REGISSEURE)";
                break;
            }
            case "myFilmID":
            {
                $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME fi WHERE $myVar->searchFor $myVar->sqlLetter AND ".$myDB->sqlForPriv;
                $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT($titel, 1) AS Letter FROM $myDB->FILME fi WHERE $myVar->searchFor AND ".$myDB->sqlForPriv." GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT($titel, 1) AS Letter FROM $myDB->FILME)";
                break;
            }
            default:
            {
                $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME fi WHERE Titel $myVar->searchFor $myVar->sqlLetter AND ".$myDB->sqlForPriv;
                $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT($titel, 1) AS Letter FROM $myDB->FILME fi WHERE $titel $myVar->searchFor AND ".$myDB->sqlForPriv." GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT($titel, 1) AS Letter FROM $myDB->FILME)";
            }
        }
    }
    else
    {
        switch ( $myVar->searchIn )
        {
            case "Actors":
            {
                $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->ACTORS WHERE $myVar->searchVar $myVar->sqlLetterName";
                $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT(Name, 1) AS Letter FROM $myDB->ACTORS WHERE $myVar->searchVar GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT(Name, 1) AS Letter FROM $myDB->ACTORS)";
                break;
            }
            case "Regisseure":
            {
                $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->REGISSEURE WHERE $myVar->searchVar $myVar->sqlLetterName";
                $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT(Name, 1) AS Letter FROM $myDB->REGISSEURE WHERE $myVar->searchVar GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT(Name, 1) AS Letter FROM $myDB->REGISSEURE)";
                break;
            }
            case "myFilmID":
            {
                $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME fi WHERE $myVar->searchVar $myVar->sqlLetter";
                $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT($titel, 1) AS Letter FROM $myDB->FILME fi WHERE $myVar->searchVar GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT($titel, 1) AS Letter FROM $myDB->FILME)";
                break;
            }
            default:
            {
                $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME fi WHERE $myVar->searchVar $myVar->sqlLetter";
                $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT($titel, 1) AS Letter FROM $myDB->FILME fi WHERE $myVar->searchVar GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT($titel, 1) AS Letter FROM $myDB->FILME)";
            }
        }
    }
    
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ( $myVar->anzIndividuen = $row['ANZ'] )
        $myVar->anzPages = ceil( $myVar->anzIndividuen / $myVar->maxShow );
    else
        $myVar->anzPages = 1;
    
    // wenn bergebene Seite grer, dann auf 1 setzen
    if ( $myVar->page > $myVar->anzPages )
        $myVar->page = 1;
    
    // berechne wieviele Filme aktuell angezeigt werden (wegen Leiste)
    if ( $myVar->page == $myVar->anzPages )
        $myVar->anzThisPage = $myVar->maxShow - ( $myVar->anzPages * $myVar->maxShow - $myVar->anzIndividuen );
    else
        $myVar->anzThisPage = $myVar->maxShow;
    
    
    // berechne die Auswahlleiste fr alle Anfangsbuchstaben
    if ( $myDB->MySQL_Ver )
    {
        $rs = $myDB->go($sqlForLetters);
        $myVar->LetterArray = array();
        while ( $row = $myDB->getRow($rs) )
        {
            // alle vorkommenden Anfangsbuchstaben werden in ein Array geschrieben, damit diese wieder ausgegeben werden knnen
            if ( !preg_match( "/[a-zA-Z]/", substr( $row['Letter'], 0, 1 ) ) )
            {
                if ( !count($myVar->LetterArray) )
                    $myVar->LetterArray[] = "@";
            }
            else
                $myVar->LetterArray[] = $row['Letter'];
        }
    }
}


/*
 * Berechne alle Variablen, die man fr die Navigation bentigt, wenn gesucht wird
 */
function berechneNaviActReg( &$myVar, &$myDB ) {

    if($settings->activateSortierTitel)
      $titel = 'Sortiertitel';
    else
      $titel = 'Titel';

    if ( isset($_REQUEST['ActorID']) )
    {
        $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME fi INNER JOIN $myDB->FILME_ACTORS ON FILME_FilmID = FilmID AND ACTORS_ActorID = {$_REQUEST['ActorID']} WHERE ".$myDB->sqlForPriv;
        $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT($titel, 1) AS Letter FROM $myDB->FILME fi INNER JOIN $myDB->FILME_ACTORS ON FILME_FilmID = FilmID AND ACTORS_ActorID = {$_REQUEST['ActorID']} WHERE ".$myDB->sqlForPriv." GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT($titel, 1) AS Letter FROM $myDB->FILME)";
    }
    else
    {
        $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME fi INNER JOIN $myDB->FILME_REGISSEURE ON FILME_FilmID = FilmID AND REGISSEURE_RegisseurID = {$_REQUEST['RegisseurID']} WHERE ".$myDB->sqlForPriv;
        $sqlForLetters = "SELECT COUNT(*) AS ANZ, LEFT($titel, 1) AS Letter FROM $myDB->FILME fi INNER JOIN $myDB->FILME_REGISSEURE ON FILME_FilmID = FilmID AND REGISSEURE_RegisseurID = {$_REQUEST['RegisseurID']} WHERE ".$myDB->sqlForPriv." GROUP BY Letter HAVING Letter IN (SELECT DISTINCT LEFT($titel, 1) AS Letter FROM $myDB->FILME)";
    }
    
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ( $myVar->anzIndividuen = $row['ANZ'] )
        $myVar->anzPages = ceil( $myVar->anzIndividuen / $myVar->maxShow );
    else
        $myVar->anzPages = 1;
    
    // wenn bergebene Seite grer, dann auf 1 setzen
    if ( $myVar->page > $myVar->anzPages )
        $myVar->page = 1;
    
    // berechne wieviele Filme aktuell angezeigt werden (wegen Leiste)
    if ( $myVar->page == $myVar->anzPages )
        $myVar->anzThisPage = $myVar->maxShow - ( $myVar->anzPages * $myVar->maxShow - $myVar->anzIndividuen );
    else
        $myVar->anzThisPage = $myVar->maxShow;
    
    
    // berechne die Auswahlleiste fr alle Anfangsbuchstaben
    if ( $myDB->MySQL_Ver )
    {
        $rs = $myDB->go($sqlForLetters);
        $myVar->LetterArray = array();
        while ( $row = $myDB->getRow($rs) )
        {
            // alle vorkommenden Anfangsbuchstaben werden in ein Array geschrieben, damit diese wieder ausgegeben werden knnen
            if ( !preg_match( "/[a-zA-Z]/", substr( $row['Letter'], 0, 1 ) ) )
            {
                if ( !count($myVar->LetterArray) )
                    $myVar->LetterArray[] = "@";
            }
            else
                $myVar->LetterArray[] = $row['Letter'];
        }
    }
}


/*
 * Berechne alle Variablen, die man fr die Navigation der Benutzer bentigt
 */
function berechneNaviUsers( &$myVar, &$myDB ) {
    
    $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->USERS";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ( $myVar->anzIndividuen = $row['ANZ'] )
        $myVar->anzPages = ceil( $myVar->anzIndividuen / $myVar->maxShow );
    else
        $myVar->anzPages = 1;
    
    // wenn bergebene Seite grer, dann auf 1 setzen
    if ( $myVar->page > $myVar->anzPages )
        $myVar->page = 1;
    
    // berechne wieviele Filme aktuell angezeigt werden (wegen Leiste)
    if ( $myVar->page == $myVar->anzPages )
        $myVar->anzThisPage = $myVar->maxShow - ( $myVar->anzPages * $myVar->maxShow - $myVar->anzIndividuen );
    else
        $myVar->anzThisPage = $myVar->maxShow;
}


/*
 * Berechne alle Variablen, die man fr die Navigation der Verleihhistory bentigt
 */
function berechneNaviVerleih( &$myVar, &$myDB ) {

    $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->HISTORY WHERE FILME_FilmID={$_GET['FilmID']}";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ( $myVar->anzIndividuen = $row['ANZ'] )
        $myVar->anzPages = ceil( $myVar->anzIndividuen / $myVar->maxShow );
    else
        $myVar->anzPages = 1;

    // wenn bergebene Seite grer, dann auf 1 setzen
    if ( $myVar->page > $myVar->anzPages )
        $myVar->page = 1;

    // berechne wieviele Historyeintrge aktuell angezeigt werden (wegen Leiste)
    if ( $myVar->page == $myVar->anzPages )
        $myVar->anzThisPage = $myVar->maxShow - ( $myVar->anzPages * $myVar->maxShow - $myVar->anzIndividuen );
    else
        $myVar->anzThisPage = $myVar->maxShow;
}


/*
 * Gibt das Format zurck
 */
function getFormat ( &$myDB, $FormatID ) {
    $sql = "SELECT Bezeichnung FROM $myDB->FORMATE WHERE FormatID = $FormatID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    return $row['Bezeichnung'];
}


function getFormatLogo ( &$myDB, $FormatID ) {
    $sql = "SELECT FormatURL FROM $myDB->FORMATE WHERE FormatID = $FormatID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);

    return $row['FormatURL'];
}


/*
 * Gibt die Kollektion zurck
 */
function getCollect ( &$myDB, $CollectID ) {
    $sql = "SELECT Bezeichnung FROM $myDB->COLLECT WHERE CollectID = $CollectID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    return $row['Bezeichnung'];
}


/*
 * Gibt GenreName zurck
 */
function getGenre ( &$myDB, $GenreID ) {
    $sql = "SELECT Name FROM $myDB->GENRES WHERE GenreID = $GenreID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    return $row['Name'];
}


/*
 * Konvertiert gegebenes Datum in Tage seit Heute
 */
function getDaysFromToday( $date, &$myDB ) {
    $sql = "SELECT DATEDIFF( CURDATE(), '$date' ) AS days";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    return $row['days'];
}


/*
 * Konvertiert gegebene Tage in x Wochen und y Tage
 */
function getDaysInWeeks( $allDays ) {
    
    $weeks = (int) ( $allDays / 7 );
    $days = $allDays % 7;
    $ret = "";
    
    switch( $weeks ) {
        case 0:  break;
        case 1:  $ret = "eine Woche"; break;
        default: $ret = $weeks." Wochen"; break;
    }
    
    if ( $weeks && $days )
        $ret .= " und ";
    if ( !$weeks && !$days )
        $ret = "0 Tagen";
    
    switch( $days ) {
        case 0:  break;
        case 1:  $ret .= "einen Tag"; break;
        default: $ret .= $days." Tagen"; break;
    }
    
    return $ret;
}


/*
 * speichere Userdaten in Session
 */
function saveDataToSession( $UserID, &$myDB ) {
    
    $sql = "SELECT * FROM $myDB->USERS WHERE UserID=$UserID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    $_SESSION['UserID'] = $row['UserID'];
//    session_register("UserID") = $row['UserID'];
    $_SESSION['UserRechte'] = $row['UserRechte'];
    $_SESSION['UserName'] = $row['UserName'];
    $_SESSION['anzLogin'] = $row['anzLogin'];
    $_SESSION['anzFehlLogin'] = $row['anzFehlLogin'];
    $_SESSION['lastLogin'] = $row['lastLogin'];
    $_SESSION['ownFilms'] = $row['ownFilms'];
    $_SESSION['FilmPrivileg'] = $row['FilmPrivileg'];
    $_SESSION['FormatPrivileg'] = $row['FormatPrivileg'];
    $_SESSION['GenrePrivileg'] = $row['GenrePrivileg'];
    $_SESSION['CollectPrivileg'] = $row['CollectPrivileg'];
    $_SESSION['maxFSK'] = getMaxFSK( $_SESSION['UserID'], $myDB );
    
    // Es muss berprft werden, ob Benutzer sich an diesem System angemeldet hat!
    // Deshalb genauen Pfad des Skripts in der Session speichern.
    // Diese Kontrolle wird gebraucht, wenn mehrere Skripte auf einem Server installiert sind.
    $_SESSION['checkAdresse'] = str_replace( "index.php", "index2.php", "http://".$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'] );
    //session_register(checkAdresse) = str_replace( "index.php", "index2.php", "http://".$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'] );
    
    // Logincounter erhhen und checksumme zurcksetzen
    $sql = "UPDATE $myDB->USERS SET anzLogin = anzLogin + 1, anzFehlLogin=0, lastLogin=NOW(), lastActive=".time().", checkChangePWD = '' WHERE UserID = {$_SESSION['UserID']}";
    $rs = $myDB->go($sql);
    
    // ausgewhltes Style speichern
    $_SESSION['varStyle'] = $row['Style'];
    
    // weitere Settings speichern
    $_SESSION['varSelectedAnz'] = 2;
    $_SESSION['varMaxShow'] = 40;
    $_SESSION['varGenreID'] = 0;
    $_SESSION['varFormatID'] = 0;
    $_SESSION['varCollectID'] = 0;
    $_SESSION['varShowGenreAuswahl'] = 0;
    $_SESSION['varShowFormatAuswahl'] = 0;   
}


/*
 * Cover wird abgespeichert und evtl. Thumbnail erstellt.
 * Cover durch hochladen oder von anderen Homepage
 */
function insertCover( &$myDB, &$myVar, $gdlib, $url = '' ) {
    
    global $cover_dir;
    
    if ( !strstr($_FILES['Cover']['type'], "image/") && !strlen($url) )
    {
        $myVar->hinweis[] = "Falsches Dateiformat der hochgeladenen Datei";
        return;
    }
    
    if ( isset($_FILES['Cover']) && !strlen($url) )
        $pic = explode( ".", $_FILES['Cover']['name'] );
    else
    {
/*
Hierbei handelt es sich um den alten Import via fopen des Covers
derzeit wegen Problmen auskommentiert und mit dem nachfolgenden 
Code gelst
        if ( $fp = fopen( $url, "rb" ) )
        {
            $pic_data = "";
            while(!feof($fp))
                $pic_data .= fread( $fp, 1 );
            fclose($fp);
            $pic = explode( ".", $url );
        }
        else
        {
            $myVar->hinweis[] = "Bilddatei kann nicht ge&ouml;ffnet werden. Fehlt vielleicht 'http://'?";
            return; 
      }
*/
// Ab hier beginnt der neue Code
            $pic_data = "";
            $pic = explode( ".", $url );
                   
            require_once('./classes/class.HttpRequest.php');
            $request = new HTTPRequest($url);
            $pic_data = $request->DownloadToString();
// Ende des neuen Codes
    }
                
    $picExt = $pic[count($pic)-1];
    $Appendix = substr( gen_string(), 0, 10 );
    
    // nchsten Rang suchen
    $sql = "SELECT MAX(Rang) + 1 AS Rang FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    // Wenn noch kein Bild existiert, wird kein Ergebnis zurckgegeben
    if ( $row['Rang'] == 0 )
        $Rang = 1;
    else
        $Rang = $row['Rang'];
    
    // Format noch in DaBa einfgen
    $sql = "INSERT INTO $myDB->COVERS (FILME_FilmID,Rang,Appendix,Extension) " .
           "VALUES ( $myVar->FilmID, $Rang, '$Appendix', '".strtolower($picExt)."' )";
    $myDB->go($sql);
    
    // Bild selektieren, um 10-stellige FilmID zu bekommen
    $sql2 = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID AND Rang=$Rang"; //Appendix='$Appendix'";
    $rs2 = $myDB->go($sql2);
    $row2 = $myDB->getRow($rs2);
    
    // Datei kopieren. Rang wird mitangehongen, damit es nicht vorkommen kann, dass 2mal der gleiche Appendix strt...
    $copyTo = "$cover_dir/{$row2['FILME_FilmID']}_{$Rang}_{$Appendix}.".strtolower($picExt);
    if ( !strlen($url) )
         move_uploaded_file( $_FILES['Cover']['tmp_name'], $copyTo );
    else
    {
        $fp = fopen($copyTo, "wb");
        fwrite( $fp, $pic_data);
    }
    
    // schauen, ob Thumbnail bereits fr diesen Film existiert
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID AND hatThumbnail=1";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ( $row['Anz'] == 0 && $gdlib )
    {
        $ret = createThumbnail( $row2['FILME_FilmID'], $Rang, $Appendix, $picExt, $myDB );
        if ( strlen($ret) )
            $myVar->hinweis[] = $ret;
    }
}

function insertLogo( $FormatTyp, &$myDB, &$myVar, $FormatName, $url = '' ) {

    global $cover_dir;



    if ( !strstr($_FILES['Logo']['type'], "image/") && !strlen($url) && $FormatTyp != 'Trailer' )
    {
    	$myVar->hinweis[] = "Falsches Dateiformat der hochgeladenen Datei";
        return;
    }

    if ( isset($_FILES['Logo']) && !strlen($url) )
        $pic = explode( ".", $_FILES['Logo']['name'] );
    else
    {
        if ( $fp = fopen( $url, "rb" ) )
        {
            $pic_data = "";
            while(!feof($fp))
                $pic_data .= fread( $fp, 1 );
            fclose($fp);
            $pic = explode( ".", $url );
        }
        else
        {
            $myVar->hinweis[] = "Datei kann nicht ge&ouml;ffnet werden. Fehlt vielleicht 'http://'?";
            return;
        }
    }

    $picExt = $pic[count($pic)-1];
    
    if($FormatTyp != 'Trailer')
      $Ordner = '/img';
  
    // Datei kopieren.
    $copyTo = ".$Ordner/$FormatTyp/$FormatName.".strtolower($picExt);
    if ( !strlen($url) )
         move_uploaded_file( $_FILES['Logo']['tmp_name'], $copyTo );
    else
    {
        $fp = fopen($copyTo, "wb");
        fwrite( $fp, $pic_data);
    }
	// Format noch in DaBa einfgen
	if($FormatTyp == 'Formate')
	 $sql = "UPDATE $myDB->FORMATE SET FormatURL = '$copyTo' WHERE FormatURL = '$cover_dir'";
	elseif ($FormatTyp == 'Trailer') 
	 $sql = "UPDATE $myDB->FILME_TRAILER_TYP SET TrailerConfig = '$copyTo' WHERE TrailerConfig = '$cover_dir'";
  else 
	 $sql = "UPDATE $myDB->TON SET BildURL = '$copyTo' WHERE BildURL = '$cover_dir'";
	$myDB->go($sql);
	$myVar->erfolg[] = "Das $FormatTyp $FormatName wurde hinzugef&uuml;gt/aktualisiert.";
}
function getVersion() {
    
    $version = @file("./includes/skriptversion");
    return formatDate( $version[0] );
}


/*
 * Gebe die Zeit in Mikrosekunden zurck
 * !!COPYRIGHT UNBEKANNT!! BITTE MELDEN.
 */
function getmicrotime(){ 
    
    list($usec, $sec) = explode(' ',microtime()); 
    return ((float)$usec + (float)$sec);
}


/*
 * loadFile
 * save file in buffer
 */
function loadFile( $url, &$buf, $mode="rb" ) {
    
    if ( $fp = fopen( $url, $mode ) ) {
        
        $buf = (string)"";
        for ( $i=0; !feof($fp); ++$i )
            $buf .= fread( $fp, 1 );
        fclose($fp);
    }
    else
        return -1;
    
    return $i;
}

function PrependStrippedArticle ($title)
{
	// Die Liste der bercksichtigten Artikel (bei Bedarf bitte erweitern)
	$articles = array 
	(
		"der",		// deutsch
		"die",
		"das",
		"eine",
		"ein",
		"a",		// englisch
		"an",
		"the",
		"le",		// franzsisch
		"la",
		"les",
		"un",
		"une",
		"des"
	);


	// evtl. vorhandene Zusatzkommentare [...] abstrippen (die Artikel kommen vorher)
	list ($first, $rest) = explode ("[", $title, 2);
	$title2 = trim ($first);
	//echo "--- title=$title<br/>";
	//echo "--- title2=\"$title2\", rest=\"$rest\"<br/>";
	
	foreach ($articles as $article)
	{
		$suffix = ", $article";
		$len = -strlen ($suffix);
		
		if (0 == strcasecmp ($suffix, substr ($title2, $len)))
		{
			$artOrig = substr ($title2, -strlen ($article));
			$ret = $artOrig." ".substr ($title2, 0, $len);
			if ($rest)
				$ret = $ret." [".$rest;
			return $ret;
		}
	}
	return $title;	// falls kein angehngter Artikel gefunden
}

?>
