<?
/*
 *******************************************
 *                                         *
 * Copyright: ab 2009 Franz Schlosser (Scl)*
 *  Internet: www.schlosser.cc             *
 *     Email: pcd@schlosser.cc             *
 *                                         *
 *******************************************
 * Alle nderungen von mir gegenber dem   *
 * Originalcode sind mit "Scl" markiert.   *
 * Die nderungen drfen nach eigenem      *
 * Belieben korrigiert oder ergnzt        *
 * werden.                                 *
 *                                         *
 *******************************************
 *
 * Listenausgabe-Script - basierend auf dem bisherigen Script von Raziel (http://www.der-domi.de/board/viewtopic.php?t=83)
 *
 * nderungen von Scl:
 *
 * 13.02.2009:
 *  - Nur noch ein PHP-Script fr alle Sortierkriterien, gesteuert durch Parameter "order" und "dir" statt 10 Scripte
 *  - Prfung ob User eingeloggt bevor Script ausgefhrt wird
 *  - Tabelle "schner" formatiert, mit "Zebra-Look" (Zeilen abwechselnd hell/dunkelgrau), anderer Font (Arial)
 *  - Zustzliche Ausgabespalten fr Filmformat und Besitzer
 * 	- Sortierung nach FSK bercksichtigt auch die Filme mit unbekanntem FSK-Eintrag richtig
 *  - Sortierung nach Film-ID bercksichtigt auch die Kollektionen
 *  - Neue Sortierung nach Filmformat
 *  - Die Sortierung nach FSK, Jahr und Format sortiert zweitrangig nach dem (Sortier-)Titel
 *  - Laufzeit-Angabe formatiert in h:mm
 *  - FSK-Angabe neu formatiert (leer wenn unbekannt, "o.A." wenn 0)
 */

session_start();

// auf Startseite weiterleiten wenn kein User eingeloggt
if ( !isset($_SESSION['UserID']) )
    header("location:..");

include("../settings/admin.php");
require("../classes/class.db.php");
require("../classes/class.settings.php");
require("./functions.php");

$orderBy = $_GET['order'];
$orderDirection = $_GET['dir'];

if($settings->activateSortierTitel)
  $sortFieldTitle = "Sortiertitel";
else
  $sortFieldTitle = 'Titel';

switch ($orderDirection)
{
	case "":
	case "asc":
		$orderDirSql = "ASC";
		$orderDirText = "aufsteigend";
		break;
	case "desc":
		$orderDirSql = "DESC";
		$orderDirText = "absteigend";
		break;
	default:
		echo "<b>Fehler: Unbekannte Sortierrichtung angegeben ($orderDirection)!</b>";
		die;
}		

switch ($orderBy)
{
	case "":
	case "title":
		$orderBySql = "$sortFieldTitle $orderDirSql";
		$orderByText = "Titel";
		break;
	case "filmid":
		$orderBySql = "COLLECT_CollectID $orderDirSql, myFilmID $orderDirSql";
		$orderByText = "Film-ID";
		break;
	case "fsk":
		$orderBySql = ($orderDirSql=="ASC") ? "FSKunbekannt DESC, FSK ASC, $sortFieldTitle" : "FSKunbekannt ASC, FSK DESC, $sortFieldTitle";
		$orderByText = "FSK";
		break;
	case "runtime":
		$orderBySql = "Laufzeit $orderDirSql";
		$orderByText = "Laufzeit";
		break;
	case "year":
		$orderBySql = "Jahr $orderDirSql, $sortFieldTitle";
		$orderByText = "Jahr";
		break;
	case "format":
		$orderBySql = "Bezeichnung $orderDirSql, $sortFieldTitle";
		$orderByText = "Filmformat";
		break;
	default:
		echo "<b>Fehler: Unbekanntes Sortierkriterium angegeben ($orderBy)!</b>";
		die;
}

?>
<html>
<head>
<title>Filme sortiert nach <? echo "$orderByText ($orderDirText)"; ?></title>
</head>
<body bgcolor="#FFFFFF" text="#000000" style="font-family:Arial; font-size:10pt">
<?php

$color1 = "#cccccc";
$color2 = "#aaaaaa";

$myDB = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$settings=new settings($myDB);

$db_query  = "SELECT * FROM $myDB->FILME";
$db_query .= " INNER JOIN $myDB->FORMATE ON $myDB->FILME.FORMATE_FormatID=$myDB->FORMATE.FormatID";
$db_query .= " INNER JOIN $myDB->USERS ON $myDB->FILME.USERS_UserID=$myDB->USERS.UserID";
$db_query .= " ORDER BY $orderBySql";
$db_result=$myDB->go($db_query);
?>
<center><h2>Filme sortiert nach <? echo "$orderByText ($orderDirText)"; ?></h2></center>
<center>
<table cellpadding="2" cellspacing="1" style="font-family:Arial; font-size:10pt; border-color: black; border-style: solid; border-width: thin; border-color:gray">
<tr style="background-color:<?echo $color2 ?>">
  <td><b>#</b></td>
  <!-- <td><b>Film-ID</b></td> -->
  <td width="400"><b>Name</b></td>
  <td width="60"><b>Laufzeit</b></td>
  <td width="40"><b>Jahr</b></td>
  <td width="40"><b>FSK</b></td>
  <td><b>Format</b></td>
  <td><b>Besitzer</b></td>
  <td><b>DiskID(s)</b></td>
</tr>
<tr>
<?php
$IdFormat="%d-%0".$settings->anzStellenID."d";
$row=0;
while($data=$myDB->getRow($db_result)) {
	$row++;
	if ($row % 2)
		$bgColor=$color1;
	else
		$bgColor=$color2;
    $titel=$data['Titel'];
    $priv=$data['COLLECT_CollectID'];
    $id=$data['myFilmID'];
    $fid=$data['FilmID'];
    $laufzeit=$data['Laufzeit'];
    $jahr=$data['Jahr'];
    $fsk=$data['FSK'];
	$fskUnknown=$data['FSKunbekannt'];
    $FilmFormat=$data['Bezeichnung'];
    $userName=$data['UserName'];

    $filmIdForm=sprintf ($IdFormat,$priv, $id);
    $LaufzeitForm=($laufzeit!=0) ? sprintf ("%d:%02d Std.", $laufzeit/60, $laufzeit%60) : "&nbsp;";
	if ($fskUnknown)
		$FskForm="&nbsp;";
	else if ($fsk)
		$FskForm=$fsk;
	else
		$FskForm="o. A.";

	if ($jahr == 0)			// Jahr "0" macht wenig Sinn?!
		$jahr = "";
		
	$ids = getDiscID ($fid, $myDB, $settings);
	echo "<tr style=\"background-color:$bgColor\">\n";
?>
    <td><?php echo $row ?></td>
    <!--<td><?php echo $filmIdForm ?></td> -->
    <td><?php echo $titel ?></td>
    <td><?php echo $LaufzeitForm ?></td>
    <td><?php echo $jahr ?></td>
	<td><?php echo $FskForm ?></td>
	<td><?php echo $FilmFormat ?></td>
	<td><?php echo $userName ?></td>
    <td><?php echo $ids; ?></td>
</tr>
    <?php
    }
    ?>
</table>

<p>&nbsp;</p>
<p>&nbsp;</p>
<table>
<tr>
  <td colspan="2"><b><u>Vorhandene Filmkollektionen:</u></b><br/><br/></td>
</tr>
<?
$db_query="SELECT * FROM $myDB->COLLECT ORDER BY CollectID";
$db_result=$myDB->go($db_query);
while($data=$myDB->getRow($db_result)) 
{
	$collectId = $data['CollectID'];
	$collectName = $data['Bezeichnung'];
	echo "<tr><td>".$collectId.":&nbsp;</td><td>".$collectName."</td></tr>\n";
}
?>
</center>
</body>
</html>   
    