<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Loginseite!
 */


// includes
require("./settings/admin.php");
require("./settings/php.php");
require("./classes/class.ctlVar.php");
require("./classes/class.db.php");
require("./classes/class.out.php");
require("./classes/class.update.php");
require("./classes/class.phpmailer.php");
require("./classes/class.settings.php");
require("./includes/functions.php");
require("./includes/funcOutput.php");

// Anfangszeit speichern
$time_start = getmicrotime();

// Sessiondaten holen
session_start();

// Klassen deklarieren
$myDB = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);

// zur Installation weiterleiten, falls keine Tabellen vohanden
// erkennen, durch setting-variable
$sql = "SELECT * FROM $myDB->USERS";
$rs = $myDB->go($sql, TRUE);
if ( !$myDB->getRow($rs, TRUE) )
    header("location:./install/install.php");

$filename = 'install/install_mod.php';

if (file_exists($filename)) { 
    header("location:./install/install_mod.php");
} 
$update = new update( $myDB );
$settings = new settings( $myDB );
$myVar = new ctlVar( $settings, $myDB, $COOCKIES_ACTIVE, TRUE );
$out =  new out( "  ", 0 );

// prfe aktuelle Version. Ggf. updaten.
$update->checkVersion( $myDB, $settings );


// falls Benutzer angemeldet ist, wird er beim ffnen von index.php auf index2.php geleitet
if ( array_key_exists( 'UserID' , $_SESSION ) && $_SESSION['UserID'] >= 1 && $settings->skriptFolgen )
{
    session_write_close();
    header( "location:./index2.php?".$myVar->getRequest("",FALSE,"&") );
}


if ( array_key_exists("PHPSESSID",$_GET) )
    $argc_request = 1;
else
    $argc_request = 0;

if ( $argc_request == count($_GET) && $settings->autoLogin )
{
    saveDataToSession($settings->autoLogin,$myDB);
    session_write_close();
    header( "location:./index2.php?".$myVar->getRequest("",FALSE,"&") );
}


// Jede Ausgabe wird zwischengespeichert
$out->startBuffer();


// Hier werden Funktionen ausgefhrt, wenn etwas gefordert wird!


// wenn loginformular ausgefllt...
if ( isset($_POST['sentLogin']) )
{
    if ( !preg_match( "/$pregEmail/", strtolower($_POST['email']), $reg ) )
        $myVar->warnung[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Ung&uuml;litge Emailadresse!</span>";
    else
    {
        $email = $reg[0];
        // vorsichtshalber ein Leerzeichen im PWD durch ein 'X' ersetzen!
        $pwd = $myDB->escape_string( str_replace( " ", "X", $_POST['pwd'] ) );
        
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->USERS WHERE Email = '$email' AND hasAccess";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        
        if ( $row['Anz'] != 1 )
            $myVar->hinweis[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Emailadresse nicht vorhanden!</span>";
        else
        {
            $sql = "SELECT COUNT(*) AS Anz FROM $myDB->USERS WHERE Email = '$email' AND PWD = SHA($pwd)";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            if ( $row['Anz'] != 1 )
            {
                $sql ="UPDATE $myDB->USERS SET anzFehlLogin=anzFehlLogin+1 WHERE Email='$email'";
                $rs = $myDB->go($sql);
                $myVar->hinweis[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Ung&uuml;ltiges Passwort!</span>";
            }
            else
            {
                $sql = "SELECT UserID FROM $myDB->USERS WHERE Email = '$email' AND PWD = SHA($pwd)";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                //$_SESSION['anzFehlLogin'] = $row['anzFehlLogin'];
                saveDataToSession($row['UserID'],$myDB);
                
                // zur Startseite weiterleiten
                session_write_close();
                $adr = "./index2.php?".$myVar->getRequest("",FALSE,"&")."start=";
                header( "location:".$adr );
            }
        }
    }
}



// wenn emailadr gesendet, wegen passwort vergessen...
if ( isset($_POST['sentForget']) )
{
    if ( !preg_match( "/$pregEmail/", strtolower($_POST['email1']), $reg ) )
        $myVar->warnung[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Ung&uuml;litge Emailadresse!</span>";
    else
    {
        $email = $reg[0];
        
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->USERS WHERE Email = '$email' AND hasAccess";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        
        if ( $row['Anz'] != 1 )
            $myVar->hinweis[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Emailadresse nicht vorhanden!</span>";
        else
        {
            // checkpwd vorher erneuern!
            $checkpwd = gen_string( $email );
            
            // Prfsumme ndern
            $sql = "UPDATE $myDB->USERS SET checkChangePWD = '$checkpwd' WHERE Email = '$email'";
            $rs = $myDB->go($sql);
            
            $sql = "SELECT * FROM $myDB->USERS WHERE Email = '$email'";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            // Name darf nicht fr HTML kodiert sein.
            $name = ret_entities( $row['UserName'] );
            
            // Link setzen
            if ( strlen($settings->skriptAdresse) == 0 )
                $link = "http://".$_SERVER['SERVER_NAME'];
            else
                $link = $settings->skriptAdresse;
            
            $link .= $_SERVER['PHP_SELF']."?checkPWD={$row['checkChangePWD']}";
            
            $link_htm= "<a href='".$link."'>Link</a>";
            
            
            // Nachricht schreiben
            $message = "Hallo $name!\n\nFalls du dein Passwort ndern mchtest, musst du dem Link folgen.";
            $message .= "\n\n";
            
            if ( $settings->mailHTML )
            {
                $message = str_replace( "Link", $link_htm, $message );
                $message .="Sollte sich der Browser mit dem Link nicht ffnen,\n";
                $message .="dann gebe bitte diese URL in dem Browser ein:\n";
            }
            
            $message .=$link."\n";
            
            if ( $settings->mailSend )
            {
                $warning = myMail( $row['Email'], $name, "Passwort vergessen?", $message, $settings );
                if ( !strlen($warning) )
                    $myVar->erfolg[] = "Du erh&auml;lst eine Email mit einem weiterf&uuml;hrenden Link, um dein Passwort &auml;ndern zu k&ouml;nnen!";
                else
                    $myVar->warnung[] = $warning;
            }
            else
                $myVar->hinweis[] = "Es wurde keine Mail verschickt, da diese Funktion deaktiviert ist... <a href=\"{$link}\">PWD &auml;ndern</a>";
            
            $myVar->MenuID = 1;
        }
    }
}


//wenn link von email angeklickt, wegen pwd vergessen
if ( isset($_GET['checkPWD']) )
{
    if ( !preg_match( "/[a-fA-F0-9]{40,40}/", strtolower($_GET['checkPWD']), $reg ) )
        $myVar->warnung[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Keine g&uuml;litge Pr&uuml;fsumme.</span>";
    else
    {
        $checkpwd = $reg[0];
    
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->USERS WHERE checkChangePWD='$checkpwd' AND hasAccess";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        
        if ( $row['Anz'] != 1 )
        {
            // falls nicht gltig, zurck zu start
            $_REQUEST['MenuID'] = 1;
            $myVar->hinweis[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Pr&uuml;fsumme nicht vorhanden. Bitte &quot;Passwort vergessen?&quot;-Funktion erneut benutzen!</span>";
        }
        else // ansonsten zum passwort ndern formular
        {
            $checked = TRUE;
            $myVar->MenuID = 3;
        }
    }
}

if ( isset($_POST['sentNewPWD']) )
{
    if ( strlen($_REQUEST['pwd1']) < 6 )
        $myVar->warnung[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Passwort muss mindestens 6 Zeichen lang sein.</span>";
    else if ( $_REQUEST['pwd1'] != $_REQUEST['pwd2'] )
        $myVar->warnung[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Neue Passw&ouml;rter stimmen nicht &uuml;berein!</span>";
    else
    {
        // Leerzeichen durch X ersetzen
        $pwd = $myDB->escape_string( str_replace( " ", "X", $_REQUEST['pwd1'] ) );
        $sql = "UPDATE $myDB->USERS SET PWD = SHA($pwd), checkChangePWD ='' WHERE UserID = {$_REQUEST['UserID']}";
        $rs = $myDB->go($sql);
        
        $myVar->erfolg[] = "<span style=\"font-family:Tahoma; font-size:0.9em;\">Passwort wurde ge&auml;ndert. Du kannst dich nun anmelden!</span>";
        //$_REQUEST['MenuID'] = 1;
        $myVar->MenuID = 1;
    }
    $userID = $_REQUEST['UserID'];
    
}


// Hier werden Ausgaben fr das Men gemacht
printHeader( $settings );
echo "<div id=\"seite\">";

printTopLogin( $myVar, $settings );
printUntermenuLogin( $myDB, $myVar, $settings );

if ( count( $myVar->warnung ) )
{
    echo "<ul class=\"message\" style=\"list-style:none; background-color:#f88\">";
    for ( $i=0; $i<count( $myVar->warnung ); ++$i )
        echo "<li>".$myVar->warnung[$i]."</li>";
    echo "</ul>";
}
if ( count( $myVar->hinweis ) )
{
    echo "<ul class=\"message\" style=\"list-style:none; background-color:#ffa\">";
    for ( $i=0; $i<count( $myVar->hinweis ); ++$i )
        echo "<li>".$myVar->hinweis[$i]."</li>";
    echo "</ul>";
}
if ( count( $myVar->erfolg ) )
{
    echo "<ul class=\"message\" style=\"list-style:none; background-color:#cfc\">";
    for ( $i=0; $i<count( $myVar->erfolg ); ++$i )
        echo "<li>".$myVar->erfolg[$i]."</li>";
    echo "</ul>";
}


// Container fr den Inhalt
echo "<div id=\"inhalt\">";

if ( $myVar->MenuID == 2 )
{
    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"font-family:Tahoma; font-size:0.9em; padding: 1em 0 0 3em;\">";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}?MenuID=2 \">";
    echo "<br />";
    echo "<u>Passwort vergessen?</u>";
    echo "<br />";
    echo "<br />";
    echo "Emailadresse";
    echo "<br />";
    echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 300px; background-color: #FFFFFF;\" type=\"text\" name=\"email1\" value=\"";
    if ( array_key_exists('email1',$_POST) )
        echo $_REQUEST['email1'];
    echo "\" /><br /><br /> <input style=\"vertical-align:middle;\" class=\"buttonSubmit\" type=\"submit\" name=\"sentForget\" value=\"senden\" />";
    echo "<br />";
    echo "<br />";
    echo "<strong>Hinweis:</strong> Falls du dein Passwort vergessen hast, kannst du hier deine Emailadresse eingeben. " .
            "Daraufhin erh&auml;lst du eine Email mit einem Link. Wenn du diesen anklickst, kannst du dein Passwort &auml;ndern.";
    echo "</form>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
}
elseif ( $myVar->MenuID == 3 && $checked == TRUE )
{
    if ( isset($userID) )
        $sql = "SELECT * FROM $myDB->USERS WHERE UserID = $userID";
    else
        $sql = "SELECT * FROM $myDB->USERS WHERE checkChangePWD = '$checkpwd'";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"font-family:Tahoma; font-size:0.9em; padding: 1em 0 0 3em;\">";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}?MenuID=3 \">";
    echo "<br />";
    echo "<u>Hallo {$row['UserName']}</u>:";
    echo "<br />";
    echo "<br />";
    echo "neues Passwort:";
    echo "<br />";
    echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 300px; background-color: #FFFFFF;\" type=\"password\" name=\"pwd1\" />";
    echo "<br />";
    echo "<br />";
    echo "Wiederholung";
    echo "<br />";
    echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 300px; background-color: #FFFFFF;\" type=\"password\" name=\"pwd2\" />";
    echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color: #FFFFFF;\" type=\"submit\" name=\"sentNewPWD\" value=\"&auml;ndern\" />";
    echo "<input type=\"hidden\" name=\"UserID\" value=\"{$row['UserID']}\" />";
    echo "<br />";
    echo "<br />";
    echo "<strong>Hinweis:</strong> Passw&ouml;rter werden verschl&uuml;sselt gespeichert.";
    echo "</form>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
}
else // Loginformular
{
    if ( isset($demosystem) && !isset($_POST['email']) )
        $_POST['email'] = "testadmin@der-domi.de";

    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"font-family:Tahoma; font-size:0.9em; padding: 1em 0 0 3em;\">";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}?MenuID=1 \">";
    echo "<br />";
    echo "Emailadresse";
    echo "<br />";
    echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 300px; background-color: #FFFFFF;\" type=\"text\" name=\"email\" value=\"";
    if ( array_key_exists('email',$_POST) )
        echo $_POST['email'];
    echo "\" size=\"50\" />";
    echo "<br /><br />";
    echo "Passwort";
    echo "<br />";
    echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 300px; background-color: #FFFFFF;\" type=\"password\" name=\"pwd\" value=\"";
    if ( isset($demosystem) && !array_key_exists('pwd',$_POST) )
       echo "passwort";
    echo "\" /><br /><br /><input type=\"submit\" name=\"sentLogin\" class=\"buttonSubmit\" value=\"anmelden\" />";
    echo $myVar->getRequest("",TRUE);
    echo "</form>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";


    // Infodatei einlesen und ausgeben
    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"font-size: 0.82em; font-family: Tahoma; vertical-align:top; padding: 10px 0px 20px 30px;\">";
    echo "<div style=\"padding: 0px 0px 10px 9px\">";
    $array = file("./infos/LoginHinweis.txt");
    echo "\n";
    for ( $i = 0; $i < count($array); ++$i )
        echo str_replace( "\n", "", $array[$i] );
    $array = file("./infos/Funktionen.txt");
    echo "\n";
    for ( $i = 0; $i < count($array); ++$i )
        echo str_replace( "\n", "", $array[$i] );
    echo "</div>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
}


echo "</div>";


/* 
 * COPYRIGHT-HINWEISE DRFEN NICHT VERNDERT WERDEN!
 * LINKS AUF WWW.DER-DOMI.DE MSSEN BESTEHEN BLEIBEN!
 */
printFootline($settings);
echo "</div>"; // class="seite"
echo "</body>";
echo "</html>";

echo "\n<!--\n     Projekt und Entwicklung: Dominik Erdmann";
echo "\n     Design: Fabian Ramme";
echo "\n     Vorlage des Designs: Benjamin Link \n-->";

$out->put( $out->endBuffer() );

$time_end = getmicrotime();
$time = ( $time_end - $time_start ) * 1000;
$time = round($time,1)." msec";

echo "\n<!-- Seite generiert in $time -->";

session_write_close();
//phpinfo();
?>
