<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */


/*
 * Cronjobs
 */

// Falls cronjob.php in ein anderes Verzeichnis verschoben wird, 
// muss der Pfad zum Verzeichnis der Filmverwaltung angegeben werden.
$path = "./";

require($path."includes/functions.php");
require($path."classes/class.db.php");
require($path."classes/class.settings.php");
require($path."classes/class.phpmailer.php");
require($path."settings/admin.php");


$myDB = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$settings = new settings( $myDB );

$debug = FALSE;


// speichere AdminName fr weitere Mails
$AdminName = $settings->mailFromName;
$AdminMail = $settings->mailFrom;


// Mail an SuperAdmin schicken, wenn Reservierungen gettigt worden sind
// neue Reservierungen
// In neue Datei ausgegliedert um perodische Ausfhrung des Jobs fter
// zu ermglichen.
{
    $message = "";

        // Selektion der betroffenen Filminhaber inklusive E-Mail
        $sql = "SELECT fi.USERS_UserID, us.Email, us.UserName 
                FROM $myDB->RESERVIERUNG re 
                INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                INNER JOIN $myDB->USERS us ON fi.USERS_UserID = us.UserID
                WHERE UserRechte = 900 AND AdminMessage = 0 
                GROUP BY fi.USERS_UserID";
        $rs = $myDB->go($sql);
        
        for( $i = 0; $i < $row = $myDB->getRow($rs); ++$i )
        {
            $message = "";    
       
            // Selektion der betreffende User inklusive Name
            $sql2 = "SELECT UserName, re.USERS_UserID 
                    FROM $myDB->FILME fi 
                    INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID
                    INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID 
                    WHERE fi.USERS_UserID ={$row['USERS_UserID']} AND AdminMessage = 0 AND ".time()."-lastActive > 300
                    GROUP BY Username";
            $rs2 = $myDB->go($sql2);   

            for( $i = 0; $row2 = $myDB->getRow($rs2); ++$i )
            {
                $message .="\n" . $row2['UserName'] . " hat ";
                // Anzahl der reservierten Filme pro User ausgeben
                $sql3 = "SELECT COUNT(*) As Anz FROM $myDB->RESERVIERUNG re 
                         INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID ={$row['USERS_UserID']} AND AdminMessage = 0
                         GROUP BY re.FILME_FilmID";
                $rs3 = $myDB->go($sql3);
                $row3['Anz'] = mysql_num_rows($rs3);
                $Anz_Own = $Anz_Own + $row3['Anz'];
            
                if ( $row3['Anz'] == 1 )
                    $message .= "einen Film reserviert:\n";
                else
                    $message .= $row3['Anz']." Filme reserviert:\n";

                // Hinzufgen der reservierten Filme zur Mail
                $sql4 = "SELECT Titel, FilmID FROM $myDB->FILME fi 
                         INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID 
                         INNER JOIN $myDB->USERS us ON UserID = re.USERS_UserID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID={$row['USERS_UserID']} AND AdminMessage = 0";
                $rs4 = $myDB->go($sql4);
                for( $i = 0; $row4 = $myDB->getRow($rs4); ++$i )
                {
                    $message .= $row4['Titel']."\n";
                }
            }

            // Selektion der betreffende User inklusive Name
            $sql5 = "SELECT UserName, re.USERS_UserID 
                FROM $myDB->FILME fi 
                INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID
                INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID 
                WHERE fi.USERS_UserID !={$row['USERS_UserID']} AND re.USERS_UserID !={$row['USERS_UserID']} AND AdminMessage = 0 AND ".time()."-lastActive > 300
                GROUP BY Username";
            $rs5 = $myDB->go($sql5);   

            for( $ii = 0; $row5 = $myDB->getRow($rs5); ++$ii )
            {
                $message2 .="\n" . $row5['UserName'] . " hat ";
                // Anzahl der reservierten Filme pro User ausgeben
                $sql3 = "SELECT COUNT(*) As Anz FROM $myDB->RESERVIERUNG re 
                     INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                     WHERE re.USERS_UserID = {$row5['USERS_UserID']} AND fi.USERS_UserID !={$row['USERS_UserID']} AND AdminMessage = 0
                     GROUP BY re.FILME_FilmID";
                $rs3 = $myDB->go($sql3);
                $row3['Anz'] = mysql_num_rows($rs3);
                $Anz_All = $Anz_All + $row3['Anz'];
         
                if ( $row3['Anz'] == 1 )
                    $message2 .= "einen Film reserviert:\n";
                else
                    $message2 .= $row3['Anz']." Filme reserviert:\n";

                // Hinzufgen der reservierten Filme zur Mail
                $sql4 = "SELECT Titel, FilmID, UserName FROM $myDB->FILME fi 
                     INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID 
                     INNER JOIN $myDB->USERS us ON UserID = fi.USERS_UserID 
                     WHERE re.USERS_UserID = {$row5['USERS_UserID']} AND fi.USERS_UserID !={$row['USERS_UserID']} AND AdminMessage = 0";
                $rs4 = $myDB->go($sql4);
                for( $i = 0; $row4 = $myDB->getRow($rs4); ++$i )
                {
                    $message2 .= $row4['Titel']." bei ".$row4['UserName']. "\n"; 
                }
            }

            if ( $i )
            {
                $name = ret_entities( $row['UserName'] );
                if($Anz_Own > 1) 
                    $Anz_Own = "\n bersicht der bei dir gettigten Reservierungen:\n";
                else 
                    $Anz_Own = "\n bersicht der bei dir gettigten Reservierung:\n"; 
                if ($ii) {
                    if($Anz_All > 1)
                        $Anz_All = "\n\nEs wurden ausserdem folgende Reservierungen bei anderen Filminhabern innerhalb der Datenbank gettigt:\n";
                    else
                        $Anz_All = "\n\nEs wurde ausserdem folgende Reservierung bei einem anderen Filminhaber innerhalb der Datenbank gettigt:\n";
                    $message = "Hallo " .$row['UserName'].",\n".$Anz_Own.$message.$Anz_All.$message2;    
                } else {      
                    $message = "Hallo " .$row['UserName'].",\n".$Anz_Own.$message;
                }              
                if ( !$debug && $i )
                    echo myMail( $row['Email'], $row['UserName'], "neue Reservierungen", $message, $settings );
                else
                    echo nl2br($message."\n\n");
            }
        }
}

// Mail an Admin schicken, wenn Reservierungen gettigt worden sind
// neue Reservierungen
{
    $message = "";

        // Selektion der betroffenen Filminhaber inklusive E-Mail
        $sql = "SELECT fi.USERS_UserID, us.Email, us.UserName 
                FROM $myDB->RESERVIERUNG re 
                INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                INNER JOIN $myDB->USERS us ON fi.USERS_UserID = us.UserID
                WHERE getResEmails = 1 AND UserRechte != 900 AND AdminMessage = 0
                GROUP BY fi.USERS_UserID";
        $rs = $myDB->go($sql);
        
        for( $i = 0; $i < $row = $myDB->getRow($rs); ++$i )
        {
            $message = "";
       
            // Selektion der betreffende User inklusive Name
            $sql2 = "SELECT UserName, re.USERS_UserID 
                    FROM $myDB->FILME fi 
                    INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID
                    INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID 
                    WHERE fi.USERS_UserID ={$row['USERS_UserID']} AND AdminMessage = 0 AND ".time()."-lastActive > 300 
                    GROUP BY Username";
            $rs2 = $myDB->go($sql2);   

            for( $i = 0; $row2 = $myDB->getRow($rs2); ++$i )
            {                
                $message .="\n" . $row2['UserName'] . " hat ";
                // Anzahl der reservierten Filme pro User ausgeben
                $sql3 = "SELECT COUNT(*) As Anz FROM $myDB->RESERVIERUNG re 
                         INNER JOIN $myDB->FILME fi ON fi.FilmID = re.FILME_FilmID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID ={$row['USERS_UserID']} AND AdminMessage = 0
                         GROUP BY re.FILME_FilmID";
                $rs3 = $myDB->go($sql3);
                $row3['Anz'] = mysql_num_rows($rs3);
            
                if ( $row3['Anz'] == 1 )
                    $message .= "einen Film reserviert:\n";
                else
                    $message .= $row3['Anz']." Filme reserviert:\n";

                // Hinzufgen der reservierten Filme zur Mail
                $sql4 = "SELECT Titel, FilmID FROM $myDB->FILME fi 
                         INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID = FilmID 
                         INNER JOIN $myDB->USERS us ON UserID = re.USERS_UserID 
                         WHERE re.USERS_UserID = {$row2['USERS_UserID']} AND fi.USERS_UserID={$row['USERS_UserID']} AND AdminMessage = 0";
                $rs4 = $myDB->go($sql4);
                for( $i = 0; $row4 = $myDB->getRow($rs4); ++$i )
                {
                    $message .= $row4['Titel']."\n"; 
                }
            }
            if ( $i )
                {
                $name = ret_entities( $row['UserName'] );
                $message = "Hallo " .$row['UserName'].",\n".$message;
            
                if ( !$debug && $i )
                    echo myMail( $row['Email'], $row['UserName'], "neue Reservierungen", $message, $settings );
                else
                    echo nl2br($message."\n\n");
            }
        }
}
// Alle Reservierunegn als verschickt markieren
$sql = "UPDATE $myDB->RESERVIERUNG re INNER JOIN $myDB->USERS us ON re.USERS_UserID = us.UserID  SET AdminMessage = 1 WHERE AdminMessage = 0 AND ".time()."-lastActive > 300";
$myDB->go($sql);     
?>
